/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;
using TestFramework.ApplicationAPI;

namespace Tests.resource 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class ResourceFixture : TestFramework.TestHelper
	{
		public Resource createFixture()
		{
			Resource resource = new Resource();
			resource.fullName = "DotNetFixture";
			ResourceScope scope = new ResourceScope();
			return (Resource) save(resource , scope);
		}
	}
}