/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;

namespace Tests.pool 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>

	public class TestPool : PoolFixture
	{
		[Test]
		public void testPool() 
		{
			TestFramework.ApplicationAPI.Pool pool = new TestFramework.ApplicationAPI.Pool();
			pool.name = "Nouveau Pool";
			TestFramework.ApplicationAPI.PoolScope scope = new TestFramework.ApplicationAPI.PoolScope();

			scope.pools = new TestFramework.ApplicationAPI.PoolScope();
			pool.pools = new TestFramework.ApplicationAPI.Pool[]{pool};
			savePool(pool, scope);

			pool = loadPoolFromXPath("Pool", "Nouveau Pool", scope);
			Assert.IsNotNull(pool.ID);
		}
	}
}
