package com.ibm.rpm.applicationadministration.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class CurrencyExchangeRange  extends com.ibm.rpm.framework.RPMObject {

			
		public static final int TYPE_ID = 37;
	
		
		
		
	public CurrencyExchangeRange() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.Double exchangeRate; 	
	public java.lang.Double  getExchangeRate() {
		return this.exchangeRate;
	}
	
	public void setExchangeRate(java.lang.Double value) {
		this.exchangeRate = value;
	}
	
			
	public void deltaExchangeRate(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, exchangeRate))) {
			exchangeRate_is_modified = true;
		}
	}
	
	private boolean exchangeRate_is_modified = false;
	
	public boolean testExchangeRateModified() {
		return exchangeRate_is_modified;
	}
		
		
	private java.util.Calendar finishDate; 	
	public java.util.Calendar  getFinishDate() {
		return this.finishDate;
	}
	
	public void setFinishDate(java.util.Calendar value) {
		this.finishDate = value;
	}
	
			
	public void deltaFinishDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, finishDate))) {
			finishDate_is_modified = true;
		}
	}
	
	private boolean finishDate_is_modified = false;
	
	public boolean testFinishDateModified() {
		return finishDate_is_modified;
	}
		
		
	private java.util.Calendar startDate; 	
	public java.util.Calendar  getStartDate() {
		return this.startDate;
	}
	
	public void setStartDate(java.util.Calendar value) {
		this.startDate = value;
	}
	
			
	public void deltaStartDate(java.util.Calendar oldValue) {
		if (!(CompareUtil.equals(oldValue, startDate))) {
			startDate_is_modified = true;
		}
	}
	
	private boolean startDate_is_modified = false;
	
	public boolean testStartDateModified() {
		return startDate_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        exchangeRate_is_modified = false;      
                                
        finishDate_is_modified = false;      
                                
        startDate_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (exchangeRate != null) {
     		exchangeRate_is_modified = true;
     	}
     	     	     	     	
     	if (finishDate != null) {
     		finishDate_is_modified = true;
     	}
     	     	     	     	
     	if (startDate != null) {
     		startDate_is_modified = true;
     	}
     	     	     	
     }
     
     
}