package com.ibm.rpm.applicationadministration.util;

import java.util.TreeMap;

import com.ibm.rpm.applicationadministration.types.SelectType;

public class SelectTypeUtil
{
    private static TreeMap indexBySelectType = new TreeMap();

    private static TreeMap selectTypeByIndex = new TreeMap();
    
    static
    {
        indexBySelectType.put(SelectType.Multi, new Integer(0));
        indexBySelectType.put(SelectType.Single, new Integer(1));

        selectTypeByIndex.put("0", SelectType.Multi);
        selectTypeByIndex.put("1", SelectType.Single);
    }

    public static Integer getIndexBySelectType(SelectType selectType)
    {
        if (selectType == null)
        {
            return null;
        }
        return (Integer) indexBySelectType.get(selectType);
    }

    public static SelectType getSelectTypeByIndex(String index)
    {

        if (index == null)
        {
            return null;
        }
        return (SelectType) selectTypeByIndex.get(index);
    }

}
