/*
 * Created on Dec 23, 2005
 *
 */
package com.ibm.rpm.client.junit;

import com.ibm.rpm.interfaces.impl.ServerFactory;


/**
 * @author mcduffs
 *  
 */
public class TimeoutSessionUtility extends UnitTestSessionUtility
{

    public static final TimeoutSessionUtility INSTANCE = new TimeoutSessionUtility(ServerFactory.getInstance());

    private int sessionTimeoutDelayInSeconds = 1;

    private boolean isSessionTimeoutUsed = true;
    
    public TimeoutSessionUtility(ServerFactory factory)
    {
        super(factory);
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.ibm.rpm.interfaces.DefaultSessionUtility#getSessionTimeoutDelayInSeconds()
     */
    public int getSessionTimeoutDelayInSeconds()
    {
        return sessionTimeoutDelayInSeconds;
    }

    /*
     * (non-Javadoc)
     * 
     * @see com.ibm.rpm.interfaces.DefaultSessionUtility#isSessionTimeoutUsed()
     */
    public boolean isSessionTimeoutUsed()
    {
        return isSessionTimeoutUsed;
    }

    /**
     * @param isSessionTimeoutUsed
     *            The isSessionTimeoutUsed to set.
     */
    public void setSessionTimeoutUsed(boolean isSessionTimeoutUsed)
    {
        this.isSessionTimeoutUsed = isSessionTimeoutUsed;
    }

    /**
     * @param sessionTimeoutDelayInSeconds
     *            The sessionTimeoutDelayInSeconds to set.
     */
    public void setSessionTimeoutDelayInSeconds(int sessionTimeoutDelayInSeconds)
    {
        this.sessionTimeoutDelayInSeconds = sessionTimeoutDelayInSeconds;
    }
    

}
