package com.ibm.rpm.client.junit.customfield.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.customfield.fixtures.CustomFieldAssignmentFixture;
import com.ibm.rpm.client.junit.customfield.fixtures.CustomFieldFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.customfield.scope.CustomFieldScope;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author legaults
 */
public class TestCustomFieldAssignmentDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return CustomFieldAssignmentFixture.createSaveCustomFieldAssignment(
            CustomFieldAssignmentFixture.ASSET_CONTEXT, this);
    }

    public RPMObjectScope createScope()
    {
        return null;
    }

    protected void objectCompare(RPMObject original, RPMObject reloaded,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        CustomFieldFixture.assertEquals(original, reloaded,
            (CustomFieldScope) scope);
    }
}
