package com.ibm.rpm.client.junit.financial.testcases.fixes;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.financial.fixtures.TimecodeFixture;
import com.ibm.rpm.financial.containers.TimeCodeCategory;
import com.ibm.rpm.financial.containers.TimeCodeGroup;
import com.ibm.rpm.financial.scope.TimeCodeScope;

public class Test60664 extends ClientTestController
{
    public void testCreateTimecodeCategory() throws Exception 
    {
        TimeCodeGroup group = new TimeCodeGroup();
        group.setID("TIMECODE_1");
        
        TimeCodeCategory category = TimecodeFixture.createFixture(new TimeCodeScope(), false, this);
        category.setParent(group);
        TimeCodeScope scope = new TimeCodeScope();
        scope.setParent(new TimeCodeScope());
        category = (TimeCodeCategory) save(category, scope ).getRpmObject();
        
        assertNotNull(category.getParent());
        TimeCodeGroup grp = (TimeCodeGroup)category.getParent();
        assertEquals(group.getID(), grp.getID().trim());
    }
}