/*
 * Created on 2-Jun-2006
 * @author mmatwiy
 * 
 * A ScopeWorkProduct container is created and loaded when a WorkProduct
 * is transferred under Scope.
 * 
 * It is not valid to create or update this container manually.
 */
package com.ibm.rpm.client.junit.scopemanagement.testcases.validation;

import com.ibm.rpm.client.junit.framework.testcases.GenericValidation;
import com.ibm.rpm.client.junit.framework.testcases.RPMExceptionMock;
import com.ibm.rpm.client.junit.helpers.HelperTestUtilities;
import com.ibm.rpm.framework.constants.ErrorCodes;
import com.ibm.rpm.scopemanagement.containers.ScopeWorkProduct;
import com.ibm.rpm.scopemanagement.scope.ScopeElementScope;

public class TestScopeWorkProductValidation extends GenericValidation
{

public void testFailureSave() throws Exception
    {
        ScopeWorkProduct scopeWorkProduct = new ScopeWorkProduct();
        scopeWorkProduct.setName(HelperTestUtilities.createName());
        
        RPMExceptionMock[] expectedExceptions =
        {
            createRPMException(ErrorCodes.CANNOT_CREATE, scopeWorkProduct
                .getClass().getName())
        };

        verifySaveMustFail(scopeWorkProduct, new ScopeElementScope(), expectedExceptions);
    }}