/*
 * Created on January 25, 2006
 * @author mmatwiy
 * Test validation for container AssignedScorecardQuestion for an Asset.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.asset.containers.Asset;
import com.ibm.rpm.asset.containers.AssetModule;
import com.ibm.rpm.scorecard.containers.AssignedScorecardQuestion;

public class TestAssetsAssignedScorecardQuestionValidation extends
        AbstractTestAssignedScorecardQuestionValidation
{
    private AssetModule module;

    public void setUp() throws Exception
    {

        super.setUp();
        
        ScorecardAssetsValidationUtility utility = new ScorecardAssetsValidationUtility();
        
        module = utility.createAssetModule();

        Asset assignedAsset = utility.prepareScorecardAssignment(module);

        AssignedScorecardQuestion question = assignedAsset
            .getAssignedScorecard().getAssignedScorecardCategories()[0]
            .getAssignedScorecardQuestions()[0];

        initializeValues(question);
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testReadOnlyFields() throws Exception
    {
        readOnlyFields();
    }
    
    public void testSelectedResponses() throws Exception
    {
        selectedResponses();
    }
    
    public void testDefaultValuesInsert() throws Exception
    {
        defaultValuesInsert();
    }
    
    public void testDefaultValuesUpdateToNull() throws Exception
    {
        defaultValuesUpdateToNull();
    }

}
