/*
 * Created on Dec 13, 2005
 * @author mmatwiy
 * Test validation for container AssignedScorecardQuestion for a 
 * ScopeManagement Action object.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.scopemanagement.containers.Action;
import com.ibm.rpm.scopemanagement.containers.ScopeManagementModule;

public class TestScopeActionAssignedScorecardQuestionValidation extends
        AbstractTestAssignedScorecardQuestionValidation
{
    ScopeManagementModule module;

    public void setUp() throws Exception
    {
        super.setUp();

        ScorecardScopeValidationUtility utility = new ScorecardScopeValidationUtility();

        module = utility.createModule();

        Action assignedAction = utility.prepareActionAssignment(module);

        initializeValues(assignedAction.getAssignedScorecard()
            .getAssignedScorecardCategories()[0]
            .getAssignedScorecardQuestions()[0]);
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testReadOnlyFields() throws Exception
    {
        readOnlyFields();
    }

    public void testSelectedResponses() throws Exception
    {
        selectedResponses();
    }

    public void testDefaultValuesInsert() throws Exception
    {
        defaultValuesInsert();
    }
    
    public void testDefaultValuesUpdateToNull() throws Exception
    {
        defaultValuesUpdateToNull();
    }
}
