/*
 * Created on Dec 13, 2005
 * @author mmatwiy
 * Test validation for container AssignedScorecardCategory for a 
 * WBS Project container.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.containers.WbsModule;

public class TestWBSProjectAssignedScorecardCategoryValidation extends
        AbstractTestAssignedScorecardCategoryValidation
{
    WbsModule module;
    
    public void setUp() throws Exception
    {
        super.setUp();

        ScorecardWBSValidationUtility utility = new ScorecardWBSValidationUtility();

        module = utility.createModule();
        
        Project assignedProject = utility.prepareProjectAssignment(module);

        initializeValues(assignedProject.getAssignedScorecards()[0]
            .getAssignedScorecardCategories()[0]);
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testReadOnlyFields() throws Exception
    {
        readOnlyFields();
    }

    public void testDefaultValues() throws Exception
    {
        defaultValuesInsert();
        defaultValuesUpdateToNull();
    }
}
