/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
package com.ibm.rpm.client.junit.security.containers;

import com.ibm.rpm.metadata.MetadataException;
import com.ibm.rpm.security.containers.DefectSecurityRole;

/**
 * @author Yasser Lulu
 * 
 */
public class DefectSecurityRoleFixture extends SecurityMetadataFixture
{

    public DefectSecurityRoleFixture() throws MetadataException
    {
        super(DefectSecurityRole.class, "SCDEFECTRESPONSIBLE");
    }

}
