/*
 * +------------------------------------------------------------------------+
 * | Licensed Materials - Property of IBM                                   | 
 * | (C) Copyright IBM Corp. 2005. All Rights Reserved.                     | 
 * |                                                                        |
 * | US Government Users Restricted Rights - Use, duplication or disclosure |
 * | restricted by GSA ADP Schedule Contract with IBM Corp.                 | 
 * +------------------------------------------------------------------------+
 */
package com.ibm.rpm.client.junit.security.testcases.igs;

import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.WorkElementFixture;
import com.ibm.rpm.wbs.containers.Opportunity;
import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

/**
 * @author Marc-Andre Lamothe
 */
public class TestProjectOpportunitySecurityLocal extends BaseIGSSecurityTestLocal
{
    private WorkElementScope projectScope = null;

    private Project testProject = null;

    public void setUp() throws Exception
    {
        super.setUp();

        // Prepare a project
        projectScope = new WorkElementScope();
        projectScope.setResourceTaskAssignments(new ResourceTaskAssignmentScope());
        testProject = (Project) WorkElementFixture.createFixture(null,
            new Project(), projectScope, this);
        testProject.setPortfolio(PortfolioFixture.loadOrCreateRootPortfolio(this));
    }

    public void test() {}
    
//    public void testAddProjectOpportunity() throws Exception
//    {
//        // Sets up the test Project with a child item
//        projectScope.setOpportunity(true);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Add a child element to project, should succeed
//        Opportunity opp = new Opportunity();
//        testProject.setOpportunity(opp);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Assign another resource as manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        // Add new child, should fail
//        opp = new Opportunity();
//        testProject.setOpportunity(opp);
//        testProject = (Project) saveAndValidate(testProject, projectScope,
//            false);
//    }
//
//    public void testDeleteProjectOpportunity() throws Exception
//    {
//        // Sets up the test Project with a child item
//        projectScope.setOpportunity(true);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Add a child element to project, should succeed
//        Opportunity opp = new Opportunity();
//        testProject.setOpportunity(opp);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Delete child, should succeed
//        deleteAndValidate(opp, true);
//
//        // Add a child element to project, should succeed
//        opp = new Opportunity();
//        testProject.setOpportunity(opp);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Assign another resource as manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        // Delete child, should fail
//        deleteAndValidate(opp, false);
//    }
//
//    public void testUpdateProjectOpportunity() throws Exception
//    {
//        // Sets up the test Project with a child item
//        projectScope.setOpportunity(true);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Add a child element to project, should succeed
//        Opportunity opp = new Opportunity();
//        testProject.setOpportunity(opp);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Update child, should succeed
//        opp = testProject.getOpportunity();
//        opp.setBenefitDurationMonths(new Integer(opp.getBenefitDurationMonths()
//            .intValue() + 1));
//        saveAndValidate(opp, null, true);
//
//        // Assign another resource as manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        // Update child, should fail
//        opp = testProject.getOpportunity();
//        opp.setBenefitDurationMonths(new Integer(opp.getBenefitDurationMonths()
//            .intValue() + 1));
//        saveAndValidate(opp, null, false);
//    }

}
