/*
 * +------------------------------------------------------------------------+
 * | Licensed Materials - Property of IBM                                   | 
 * | (C) Copyright IBM Corp. 2005. All Rights Reserved.                     | 
 * |                                                                        |
 * | US Government Users Restricted Rights - Use, duplication or disclosure |
 * | restricted by GSA ADP Schedule Contract with IBM Corp.                 | 
 * +------------------------------------------------------------------------+
 */
package com.ibm.rpm.client.junit.security.testcases.igs;

import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.WorkElementFixture;
import com.ibm.rpm.framework.ReloadType;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.resource.containers.ResourceSecurityRights;
import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

/**
 * @author Marc-Andre Lamothe
 */
public class TestProjectSecurityLocal extends BaseIGSSecurityTestLocal
{
    private WorkElementScope projectScope = null;

    private Project testProject = null;

    public void setUp() throws Exception
    {
        super.setUp();

        // Prepare a project
        projectScope = new WorkElementScope();
        projectScope.setResourceTaskAssignments(new ResourceTaskAssignmentScope());
        testProject = (Project) WorkElementFixture.createFixture(null,
            new Project(), projectScope, this);
        testProject.setPortfolio(PortfolioFixture.loadOrCreateRootPortfolio(this));
    }

    public void test() {}
    
//    public void testDeleteProject() throws Exception
//    {
//        // Remove the right to delete
//        Resource resource = loadResourceWithSecurity();
//        ResourceSecurityRights rights = resource.getResourceSecurityRights();
//        rights.setCanDeleteProjects(new Boolean(false));
//        saveWithoutDelete(resource, null, ReloadType.None);
//
//        // Create a project, should succeed
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Delete the project, should succeed
//        deleteAndValidate(testProject, true);
//
//        // Create a project, should succeed
//        testProject = (Project) WorkElementFixture.createFixture(null,
//            new Project(), projectScope, this);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Create a different resource and make it Manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        // Delete the project, should fail
//        deleteAndValidate(testProject, false);
//    }

}
