/*
 * Created on Feb 1, 2007
 *
 */
package com.ibm.rpm.client.junit.security.testcases.resource;

import java.lang.reflect.Method;


import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * @author karim
 *
 */
public class TestAllResourceSecurityLocal {

    public static Test suite()
    {
    	TestSuite suite = new TestSuite();
//        addTestsToSuite(suite,TestAssetSecurityLocal.class);
//        addTestsToSuite(suite,TestAttributeSecurityLocal.class); //TODO fix the module problem
//        addTestsToSuite(suite,TestConvertProjectToOrganizationLocal.class);
//        addTestsToSuite(suite,TestChargeCodeSecurityLocal.class);        
//        addTestsToSuite(suite,TestClientCostCenterSecurityLocal.class);        
//        addTestsToSuite(suite,TestContactGroupSecurityLocal.class);
//        addTestsToSuite(suite,TestContractSecurityLocal.class);
//        addTestsToSuite(suite,TestCurrencySecurityLocal.class);
//        addTestsToSuite(suite,TestCustomFieldSecurityLocal.class);
//        addTestsToSuite(suite,TestDatafieldSecurityLocal.class);
//        addTestsToSuite(suite,TestFinancialSystemSecurityLocal.class);
//        addTestsToSuite(suite,TestGeographicalSecurityLocal.class);
//        addTestsToSuite(suite,TestOrganizationalSecurityLocal.class);
//        addTestsToSuite(suite,TestPersonalSecurityLocal.class);
//        addTestsToSuite(suite,TestPoolDomainSecurityLocal.class);
//        addTestsToSuite(suite,TestPoolSecurityLocal.class);
//        addTestsToSuite(suite,TestRPMCalendarSecurityLocal.class);
//        addTestsToSuite(suite,TestProjectSecurityLocal.class);
//        addTestsToSuite(suite,TestResourceSecurityLocal.class);
//        addTestsToSuite(suite,TestScopeSecurityLocal.class);		
//        addTestsToSuite(suite,TestScorecardSecurityLocal.class); //TODO fix the module problem
//        addTestsToSuite(suite,TestSecurityGroupSecurityLocal.class);
//        addTestsToSuite(suite,TestSecurityRoleSecurityLocal.class);
//        addTestsToSuite(suite,TestTimeCodeSecurityLocal.class);
        return suite;
    }
	
    private static void addTestsToSuite(TestSuite suite, Class testClass)
    {
    	try
        {
        	TestCase testCase = null;
        	String methodName = null;
        	Method[] methods = testClass.getMethods();
            for (int i = 0; i < methods.length; i++)
            {
                methodName = methods[i].getName();
                //only add test methods
                if (methodName.startsWith("test"))
        		{
        			testCase = (TestCase)testClass.newInstance();
        			testCase.setName(methodName);
        			suite.addTest(testCase);
        		}
        	}    		
    	}
    	catch(Exception e)
		{
    		System.out.println("ERROR : Cannot add tests of "+testClass.getName());
    		e.printStackTrace();
		}
    }
}
