package com.ibm.rpm.client.junit.security.testcases.resource.fixes;

import com.ibm.rpm.client.junit.customfield.fixtures.CustomPortletFixture;
import com.ibm.rpm.client.junit.security.testcases.resource.BaseResourceSecurityTestLocal;
import com.ibm.rpm.customfield.containers.CustomPortlet;
import com.ibm.rpm.customfield.containers.CustomPortletCategory;

public class Test64214Local extends BaseResourceSecurityTestLocal
{
    protected void setUp() throws Exception
    {
        super.setUp();
    }

    public void testCustomPortlet() throws Exception
    {
        getCurrentUser().getResourceSecurityRights()
            .setCanEditCustomFieldsAdmin(Boolean.FALSE);
        saveCurrentUserSecurityRights(null);
        CustomPortletCategory parent = CustomPortletFixture
            .createCustomPortletCategory(0);
        saveAndValidate(parent, null, false);

        getCurrentUser().getResourceSecurityRights()
            .setCanEditCustomFieldsAdmin(Boolean.TRUE);
        saveCurrentUserSecurityRights(null);
        saveAndValidate(parent, null, true);

        CustomPortlet customPortlet = CustomPortletFixture
            .createCustomPortlet(parent);
        saveAndValidate(customPortlet, null, true);

        getCurrentUser().getResourceSecurityRights()
            .setCanEditCustomFieldsAdmin(Boolean.FALSE);
        saveCurrentUserSecurityRights(null);
        customPortlet.setName(customPortlet.getName()+"_Modified");
        saveAndValidate(customPortlet, null, false);

    }

}
