package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

public class PlannedDocumentSecurityTestCanCheckoutLocal extends
		AbstractPlannedDocumentSecurityTestLocal {

	public PlannedDocumentSecurityTestCanCheckoutLocal(Class securityRoleClass,
			RPMObject containerObject, RPMObject grandparentWorkElement,
			RPMObjectScope scope, String fieldToTest, String flagName)
	{
		super(securityRoleClass, containerObject, grandparentWorkElement,
				scope, fieldToTest, flagName);
	}
	
	protected void verifyMustFailScenario() throws Exception 
	{
		disableAutomaticCheckout();
		verifyMustFailScenarioForCheckout();
	}

	protected void verifyMustSuccessScenario() throws Exception 
	{
		verifyMustSuccessScenarioForCheckout();
	}
	
}
