package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.document.containers.GenericDocument;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

public class PlannedDocumentSecurityTestCanUnlockLocal extends
		AbstractPlannedDocumentSecurityTestLocal {

	public PlannedDocumentSecurityTestCanUnlockLocal(Class securityRoleClass,
			RPMObject containerObject, RPMObject grandparentWorkElement,
			RPMObjectScope scope, String fieldToTest, String flagName)
	{
		super(securityRoleClass, containerObject, grandparentWorkElement,
				scope, fieldToTest, flagName);
	}
	
	
	protected void prepareTestContainer() throws Exception
	{
		testObject = prepareContainer(testObject, parentObject,
				testObjectScope, securityTestUser, testObjectSecurityRole);
		
		testObject = (GenericDocument)lockDocument((GenericDocument)testObject).getRpmObject();
	}

	protected void verifyMustFailScenario() throws Exception 
	{
		verifyMustFailScenarioForUnlock();
	}

	protected void verifyMustSuccessScenario() throws Exception 
	{
		verifyMustSuccessScenarioForUnlock();
	}
}
