package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedWorkElementSecurityTestCanCloseLocal extends 
	AbstractPlannedWorkElementSecurityTestLocal{
	
    public PlannedWorkElementSecurityTestCanCloseLocal(Class securityRoleClass,
            RPMObject containerObject, WorkElement grandparentWorkElement,
            RPMObjectScope scope, String flagName)
    {
    	super(securityRoleClass, containerObject, grandparentWorkElement,
            scope, new String(""), flagName);
    	this.fieldToTest = "State";
    }

    protected void verifyMustFailScenario() throws Exception
    {
        verifyMustFailScenarioForClose();
    }

    protected void verifyMustSuccessScenario() throws Exception
    {
        verifyMustSuccessScenarioForClose();
    }

}