package com.ibm.rpm.client.junit.timesheet.testcases;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.timesheet.containers.GenericTaskAssignment;

public class TestGenericTaskAssignmentXPath extends ClientTestController
{
    public void testLoadFromXPath() throws Exception
    {

        String xpath = "/GenericTaskAssignment";

        RPMObject[] objs = loadFromXpath(xpath, null);

        assertNotNull(objs);

        for (int i = 0; i < objs.length; i++)
        {
            assertNotNull(objs[i]);
            assertTrue(objs[i] instanceof GenericTaskAssignment);
            assertFalse(objs[i].getClass() == GenericTaskAssignment.class);
        }

    }
    
    public void testLoadAsChildOfSummaryTimesheet() throws Exception
    {

        String xpath = "/SummaryTimesheet/GenericTaskAssignment";

        RPMObject[] objs = loadFromXpath(xpath, null);

        assertNotNull(objs);

        for (int i = 0; i < objs.length; i++)
        {
            assertNotNull(objs[i]);
            assertTrue(objs[i] instanceof GenericTaskAssignment);
            assertFalse(objs[i].getClass() == GenericTaskAssignment.class);
        }

    }
}
