package com.ibm.rpm.client.junit.wbs.testcases.fixes;

import com.ibm.rpm.applicationadministration.scope.CalendarScope;
import com.ibm.rpm.client.junit.resource.fixtures.ResourceFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.ResourceTaskAssignmentFixture;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.resource.scope.ResourceScope;

public class TestContourWithResource extends AbstractTestContour {

	public void setUp() throws Exception
	{
		super.setUp();
		mainScope = ResourceTaskAssignmentFixture.createScope(true, true,
                false, true, true);
		Resource resource = createSaveResource();
		assignment = ResourceTaskAssignmentFixture
							.createFixture(parentWorkElement, resource, null, mainScope, false, this);
		assignment.getTaskAssignment().setProposedDurationHours(null);
		mainScope.setTaskAssignment(null);
	}
	
	private Resource createSaveResource() throws Exception
	{
		 ResourceScope resourceScope = new ResourceScope();
         resourceScope.setCalendar(new CalendarScope());
         
         Resource resource = ResourceFixture.createSaveFixture(resourceScope, this); 
         return resource;
    }
}
