package com.ibm.rpm.client.junit.wbs.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.Portfolio;
import com.ibm.rpm.wbs.scope.PortfolioScope;

public class TestPortfolioXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        PortfolioScope scope = (PortfolioScope) mainScope;
        Portfolio portfolio = PortfolioFixture.createFixture(1, 1, scope, this);
        return portfolio;
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return PortfolioFixture.createScope(1, 2, 1, 1);
    }

    protected void objectCompare(RPMObject expected, RPMObject actual,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        PortfolioFixture.compare((Portfolio) expected,
                (Portfolio) actual, (PortfolioScope) mainScope);
    }
}
