package com.ibm.rpm.client.junit.wbs.testcases.xpath;

import java.util.ArrayList;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.client.junit.wbs.fixtures.WorkElementFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.Task;
import com.ibm.rpm.wbs.containers.WorkElement;
import com.ibm.rpm.wbs.scope.WorkElementScope;

public class TestTaskXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        WorkElementScope scope = (WorkElementScope) mainScope;
        WorkElement work = WorkElementFixture.createFixture(new Task(),
                scope, this);
        return work; //saveWithoutDelete(work, scope).getRpmObject();
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return WorkElementFixture.createScope(new Task(), true,
            false, false, false, false, false, false, false, false, 
            false, false, false, false, false,false);
    }

    protected void objectCompare(RPMObject expected, RPMObject actual,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        WorkElementFixture.compare((WorkElement) expected,
                (WorkElement) actual, (WorkElementScope) mainScope);
    }
    
    protected ArrayList generateLocalSkipList()
    {
        ArrayList l = new ArrayList();

        l.add("getConstraintType");
        l.add("getLastModifiedDate"); // must include time; tested in Test56934.java
        
        l.trimToSize();
        return l;
    }
}