package com.ibm.rpm.customfield.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class CustomField  extends com.ibm.rpm.customfield.containers.GenericCustomField {

			
		public static final int TYPE_ID = 342;
	
		
		
		
	public CustomField() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private com.ibm.rpm.applicationadministration.containers.DatafieldCategory datafieldCategory; 	
	public com.ibm.rpm.applicationadministration.containers.DatafieldCategory  getDatafieldCategory() {
		return this.datafieldCategory;
	}
	
	public void setDatafieldCategory(com.ibm.rpm.applicationadministration.containers.DatafieldCategory value) {
		this.datafieldCategory = value;
	}
	
			
	public void deltaDatafieldCategory(com.ibm.rpm.applicationadministration.containers.DatafieldCategory oldValue) {
		if (!(CompareUtil.equals(oldValue, datafieldCategory))) {
			datafieldCategory_is_modified = true;
		}
	}
	
	private boolean datafieldCategory_is_modified = false;
	
	public boolean testDatafieldCategoryModified() {
		return datafieldCategory_is_modified;
	}
		
		
	private java.lang.Object defaultValue; 	
	public java.lang.Object  getDefaultValue() {
		return this.defaultValue;
	}
	
	public void setDefaultValue(java.lang.Object value) {
		this.defaultValue = value;
	}
	
			
	public void deltaDefaultValue(java.lang.Object oldValue) {
		if (!(CompareUtil.equals(oldValue, defaultValue))) {
			defaultValue_is_modified = true;
		}
	}
	
	private boolean defaultValue_is_modified = false;
	
	public boolean testDefaultValueModified() {
		return defaultValue_is_modified;
	}
		
		
	private com.ibm.rpm.customfield.types.FieldInputType inputType; 	
	public com.ibm.rpm.customfield.types.FieldInputType  getInputType() {
		return this.inputType;
	}
	
	public void setInputType(com.ibm.rpm.customfield.types.FieldInputType value) {
		this.inputType = value;
	}
	
			
	public void deltaInputType(com.ibm.rpm.customfield.types.FieldInputType oldValue) {
		if (!(CompareUtil.equals(oldValue, inputType))) {
			inputType_is_modified = true;
		}
	}
	
	private boolean inputType_is_modified = false;
	
	public boolean testInputTypeModified() {
		return inputType_is_modified;
	}
		
		
	private java.lang.Integer securityGroup; 	
	public java.lang.Integer  getSecurityGroup() {
		return this.securityGroup;
	}
	
	public void setSecurityGroup(java.lang.Integer value) {
		this.securityGroup = value;
	}
	
			
	public void deltaSecurityGroup(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, securityGroup))) {
			securityGroup_is_modified = true;
		}
	}
	
	private boolean securityGroup_is_modified = false;
	
	public boolean testSecurityGroupModified() {
		return securityGroup_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        datafieldCategory_is_modified = false;      
                                
        defaultValue_is_modified = false;      
                                
        inputType_is_modified = false;      
                                
        securityGroup_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (datafieldCategory != null) {
     		datafieldCategory_is_modified = true;
     	}
     	     	     	     	
     	if (defaultValue != null) {
     		defaultValue_is_modified = true;
     	}
     	     	     	     	
     	if (inputType != null) {
     		inputType_is_modified = true;
     	}
     	     	     	     	
     	if (securityGroup != null) {
     		securityGroup_is_modified = true;
     	}
     	     	     	
     }
     
     
}