package com.ibm.rpm.factory;

import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.Name;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class BooleanFactory extends StringFactory {
    static Log logger = LogFactory.getLog(BooleanFactory.class);

	public BooleanFactory() {
	}

	public Object getObjectInstance(Object obj, Name name, Context nameCtx,
			Hashtable environment) throws Exception {
		Object newobj = null;
		Object content = super.getObjectInstance(obj, name, nameCtx, environment);
		if ((content!=null) && (content instanceof String)) {
			if (((String)content).equalsIgnoreCase("true"))
				newobj = Boolean.TRUE;
			else if (((String)content).equalsIgnoreCase("false"))
				newobj = Boolean.FALSE;
			else if (((String)content).equalsIgnoreCase("yes"))
				newobj = Boolean.TRUE;
			else if (((String)content).equalsIgnoreCase("no"))
				newobj = Boolean.FALSE;
			else if (((String)content).equalsIgnoreCase("1"))
				newobj = Boolean.TRUE;
			else if (((String)content).equalsIgnoreCase("0"))
				newobj = Boolean.FALSE;
			// else return null;
		}
        return newobj;
	}

}
