/*
 *+------------------------------------------------------------------------+
 *| Licensed Materials - Property of IBM                                   |
 *| (C) Copyright IBM Corp. 2005.  All Rights Reserved.                    |
 *|                                                                        |
 *| US Government Users Restricted Rights - Use, duplication or disclosure |
 *| restricted by GSA ADP Schedule Contract with IBM Corp.                 |
 *+------------------------------------------------------------------------+
 */
package com.ibm.rpm.framework.security;

import com.ibm.rpm.framework.RPMException;

/**
 * @author Yasser Lulu
 *
 */
public abstract class AbstractSecurityDescriptor
{
    abstract AbstractSecurityDescriptor combine(
            AbstractSecurityDescriptor other, boolean usingOr)
            throws RPMException;
}
