package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.applicationadministration.containers.Attribute;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

public class ResourceBasedAttributeSecurityController extends
        ResourceBasedGenericAttributeSecurityController
{

    public Class getContainerClass()
    {
        return Attribute.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("inputType", getContainerClass());
        fieldInfo.canReadSecurityFlags = readSecurityFlags;
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
