package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Map;

import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
import com.ibm.rpm.scopemanagement.containers.AggregateScope;

class RoleBasedAggregateScopeSecurityController extends
        RoleBasedScopeElementSecurityController
{

    public Class getContainerClass()
    {
        return AggregateScope.class;
    }

    protected void doGenerateFieldMappingEntries(Map mappingEntryMap)
    {
        super.doGenerateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("children", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
