/*
 * Created on Mar 6, 2006
 *
 */
package com.ibm.rpm.framework.util.stats;


/**
 * @author karim
 *
 */
public class Operation
{
    
    private String name;
    private String description;
    private long totalDuration;
    private long spDuration;
    private long preloadDuration;
    private long reloadDuration;
    private long selectDuration;

    private long createConnectionDuration;
    private long releaseConnectionDuration;
    private int storedProcedureCount;
    private int selectStatementCount;
    private int loadedObjectCount;
    private int deltaLoadObjectCount;
    
    public void incrementDeltaLoadedObjectCount()
    {
        deltaLoadObjectCount++;
    }
    public void incrementLoadedObjectCount()
    {
        loadedObjectCount++;
    }
    public void incrementSelectStatementCount()
    {
        selectStatementCount++;
    }
    public void incrementStoredProcedureCount()
    {
        storedProcedureCount++;
    }
    public int getDeltaLoadObjectCount()
    {
        return deltaLoadObjectCount;
    }
    public void setDeltaLoadObjectCount(int deltaLoadObjectCount)
    {
        this.deltaLoadObjectCount = deltaLoadObjectCount;
    }
    public int getLoadedObjectCount()
    {
        return loadedObjectCount;
    }
    public void setLoadedObjectCount(int loadedObjectCount)
    {
        this.loadedObjectCount = loadedObjectCount;
    }
    public int getSelectStatementCount()
    {
        return selectStatementCount;
    }
    public void setSelectStatementCount(int selectStatementCount)
    {
        this.selectStatementCount = selectStatementCount;
    }
    public int getStoredProcedureCount()
    {
        return storedProcedureCount;
    }
    public void setStoredProcedureCount(int storedProcedureCount)
    {
        this.storedProcedureCount = storedProcedureCount;
    }
    public String getName()
    {
        return name;
    }
    public void setName(String name)
    {
        this.name = name;
    }
    public void setSelectDuration(long selectDuration)
    {
        this.selectDuration = selectDuration;
    }
    public long getSelectDuration()
    {
        return selectDuration;
    }
    public void addSPDuration(long delta)
    {
        spDuration += delta;
    }
    public long getSpDuration()
    {
        return spDuration;
    }
    public long getTotalDuration()
    {
        return totalDuration;
    }
    public void setTotalDuration(long totalDuration)
    {
        this.totalDuration = totalDuration;
    }
    public long getPreloadDuration()
    {
        return preloadDuration;
    }
    public void setPreloadDuration(long preloadDuration)
    {
        this.preloadDuration = preloadDuration;
    }
    public long getReloadDuration()
    {
        return reloadDuration;
    }
    public void setReloadDuration(long reloadDuration)
    {
        this.reloadDuration = reloadDuration;
    }
    public String getDescription()
    {
        return description;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }
    
    public void addCreateConnectionDuration(long delta)
    {
        createConnectionDuration += delta;
    }
    public long getCreateConnectionDuration()
    {
        return createConnectionDuration;
    }
    public void addReleaseConnectionDuration(long delta)
    {
        releaseConnectionDuration += delta;
    }
    public long getReleaseConnectionDuration()
    {
        return releaseConnectionDuration;
    }
}
