/*
 * Created on 5-Oct-2005
 */
package com.ibm.rpm.resource.constants;

import java.util.Calendar;

import com.ibm.rpm.framework.util.DateUtil;

/**
 * @author dominiqu
 */
public class ValidationConstants
{   
    public final static int RESOURCEMANAGEMENT_NESTINGLEVEL_MAX = 30;
    
    public final static int POOL_ADDRESS_MAX = 225;
    public final static int POOL_COMPANYBACKGROUND_MAX = 3000; 
    public final static int POOL_CONTACTNAME_MAX = 50;
    public final static int POOL_DESCRIPTION_MAX = 225;
    public final static int POOL_EMAIL_MAX = 50;
    public final static int POOL_FAX_MAX = 25;
    public final static int POOL_INDUSTRIESSERVED_MAX = 2048;
    public final static int POOL_LOCATIONSSERVED_MAX = 2048;
    public final static int POOL_NAME_MAX = 50;
    public final static int POOL_ORGANIZATIONNAME_MAX = 50;
    public final static int POOL_OWNERSHIP_MAX = 2048;
    public final static int POOL_PRODUCTSEXPERTISEUSED_MAX = 2048;
    public final static int POOL_SERVICESOFFERED_MAX = 2048;
    public final static int POOL_SERVICESSPECIALIZED_MAX = 2048;
    public final static int POOL_TELEPHONE_MAX = 25; 
    
    public final static int RESOURCE_ADDRESS1_MAX = 50;
    public final static int RESOURCE_ADDRESS2_MAX = 50;
    public final static int RESOURCE_ALTERNATIVEPHONE_MAX = 50;
    public final static int RESOURCE_COMPANYCODE_MAX = 10;
    public final static int RESOURCE_COUNTRYCODE_MAX = 10;
    public final static int RESOURCE_CUSTOM_MAX = 50;
    //public final static int RESOURCE_DASHBOARD_MAX = 2048;
    public final static int RESOURCE_DEPARTMENTCODE_MAX = 10;
    public final static int RESOURCE_DIVISIONCODE_MAX = 10;
    public final static int RESOURCE_EMAILADDRESS_MAX = 100;
    public final static int RESOURCE_EMPLOYEECODE_MAX = 10;
    public final static int RESOURCE_EXTERNALID_MAX = 50;
    public final static int RESOURCE_FAMILYNAME_MAX = 35;
    public final static int RESOURCE_FAX_MAX = 17;
    public final static int RESOURCE_FULLNAME_MIN = 1;
    public final static int RESOURCE_FULLNAME_MAX = 35;
    public final static int RESOURCE_GIVENNAME_MAX = 35;
    public final static int RESOURCE_HOMEPHONE_MAX = 50;
    public final static int RESOURCE_INTERVIEWPORTLET_MAX = 512;
    //public final static int RESOURCE_LOGONREMINDER_MAX = 64;
    public final static int RESOURCE_MIDDLENAME_MAX = 35;
    public final static int RESOURCE_MOBILE_MAX = 17;
    public final static int RESOURCE_MYPORTALURLSSTRING_MAX = 255;
    public final static int RESOURCE_MYWEBSITE_MAX = 100;
    public final static int RESOURCE_NICKNAME_MAX = 35;
    public final static int RESOURCE_PAGER_MAX = 17;
    public final static int RESOURCE_PASSWORD_MAX = 16;
    public final static int RESOURCE_TITLE_MAX = 50;
    public final static int RESOURCE_USERNAME_MIN = 1;
    public final static int RESOURCE_USERNAME_MAX = 50;
    public final static int RESOURCE_WEEKLYMAXHOURS_MIN = 0;
    public final static int RESOURCE_WEEKLYMAXHOURS_MAX = 9999;
    public final static int RESOURCE_WEEKLYMINHOURS_MIN = 0;
    public final static int RESOURCE_WEEKLYMINHOURS_MAX = 9999;
    public final static int RESOURCE_WORKPHONE_MAX = 50;
    public final static int RESOURCE_ZIPPOSTALCODE_MAX = 16;
    
    public final static int RESOURCEATTRIBUTEASSIGNMENT_MAX = 50;
    
    public final static int REFERENCE_CONTACTEMAIL_MAX = 50;
    public final static int REFERENCE_CONTACTFAX_MAX = 25;
    public final static int REFERENCE_CONTACTNAME_MAX = 50;
    public final static int REFERENCE_CONTACTTELEPHONE_MAX = 25;
    public final static int REFERENCE_ORGANIZATIONADDRESS_MAX = 255;
    public final static int REFERENCE_ORGANIZATIONFAX_MAX = 25;
    public final static int REFERENCE_ORGANIZATIONNAME_MAX = 50;  
    public final static int REFERENCE_ORGANIZATIONTELEPHONE_MAX = 25;  
    public final static int REFERENCE_ORGANIZATIONWEBSITE_MAX = 50;  
    
    public final static int RESOURCEATTRIBUTE_NAME_MAX = 50;  
    
    public final static int EDUCATION_ORGANIZATION_MAX = 100;
    public final static int EDUCATION_DEGREEPROGRAM_MAX = 50;
    public final static int EDUCATION_SPECIALIZATION_MAX = 100;
    public final static int EDUCATION_HONOURSAWARDS_MAX = 594;
    
    public final static int EMPLOYMENTHISTORY_COMPANY_MAX = 50;
    public final static int EMPLOYMENTHISTORY_COMPANY_MIN = 1;
    public final static int EMPLOYMENTHISTORY_TITLE_MAX = 50;
    public final static int EMPLOYMENTHISTORY_DESCRIPTION_MAX = 220;
    public final static double EMPLOYMENTHISTORY_SALARY_MIN = 0;
    public final static double EMPLOYMENTHISTORY_SALARY_MAX = 9999999999999.99;
    public final static int EMPLOYMENTHISTORY_LOCATION_MAX = 50;
    public final static int EMPLOYMENTHISTORY_RESPONSIBILITIES_MAX = 2040;

    public final static int LANGUAGEPROFICIENCY_LEVEL_MIN = 0;   
    public final static int LANGUAGEPROFICIENCY_LEVEL_MAX = 4;   
    
    public final static int LOCATIONPREFERENCES_ACCEPTABLERELOCATEDURATION_MIN = 0;   
    public final static int LOCATIONPREFERENCES_ACCEPTABLERELOCATEDURATION_MAX = 9999;
    public final static int LOCATIONPREFERENCES_ACCEPTABLETRAVELDURATION_MIN = 0;   
    public final static int LOCATIONPREFERENCES_ACCEPTABLETRAVELDURATION_MAX = 9999;
    public final static int LOCATIONPREFERENCES_RELOCATELOCATIONS_MAX = 3;
    public final static int LOCATIONPREFERENCES_TRAVELLOCATIONS_MAX = 3;
    
    public final static int PASSPORT_VISAS_MAX = 3;
    
    public final static int PROJECTHISTORY_CLIENT_MAX = 100;
    public final static int PROJECTHISTORY_DESCRIPTION_MAX = 1020;
    public final static int PROJECTHISTORY_PROJECTLENGTH_MAX = 100;
    public final static int PROJECTHISTORY_TIMESPENT_MAX = 50;
    public final static int PROJECTHISTORY_ROLE_MAX = 50;
    public final static int PROJECTHISTORY_SKILLSRESPONSIBILITIES_MAX = 1020;
    public final static int PROJECTHISTORY_PROJECTNAME_MAX = 100;
      
    public final static double RESOURCERATES_MIN = 0;   
    public final static double RESOURCERATES_MAX = 99999999999.99;
    public final static Calendar DATE_FIELD_MAX;
    public final static Calendar DATE_FIELD_MIN;
    static
    {
        DATE_FIELD_MAX = DateUtil.getCalendarInstance();
        DATE_FIELD_MAX.set(9999, 11, 31, 23, 59, 59);
        DATE_FIELD_MAX.set(Calendar.MILLISECOND, 0);
        DATE_FIELD_MIN = DateUtil.getCalendarInstance();
        DATE_FIELD_MIN.set(1900, 0, 1, 0, 0, 0);
        DATE_FIELD_MIN.set(Calendar.MILLISECOND, 0);
    }
    public final static String PARENT_FIELD = "parent";
    public final static String RESOURCE_ACTIVE_FIELD = "active";
    public final static String RESOURCE_ADDRESS1_FIELD = "address1";
    public final static String RESOURCE_ADDRESS2_FIELD = "address2";
    public final static String RESOURCE_ALTERNATIVE_PHONE_FIELD = "alternativePhone";
    public final static String RESOURCE_CALENDAR_FIELD = "calendar";
    public final static String RESOURCE_COMPANY_CODE_FIELD = "companyCode";
    public final static String RESOURCE_COMPETENCY_ATTRIBUTE_ASSIGNMENTS_FIELD = "competencyAttributeAssignments";
    public final static String RESOURCE_CONTRACT_GROUP_ASSIGNMENTS_FIELD = "contactGroupAssignments";
    public final static String RESOURCE_COUNTRY_CODE_FIELD = "countryCode";
    public final static String RESOURCE_CURRENCY_FIELD = "currency";
    public final static String RESOURCE_CUSTOM1_FIELD = "custom1";
    public final static String RESOURCE_CUSTOM2_FIELD = "custom2";
    public final static String RESOURCE_CUSTOM3_FIELD = "custom3";
    public final static String RESOURCE_CUSTOM4_FIELD = "custom4";
    public final static String RESOURCE_CUSTOM5_FIELD = "custom5";
    public final static String RESOURCE_CUSTOM_FIELD_ASSIGNMENTS_FIELD = "customfieldAssignments";
    public final static String RESOURCE_DASHBOARD_FIELD = "dashboard";
    public final static String RESOURCE_DEPARTMENT_CODE_FIELD = "departmentCode";
    public final static String RESOURCE_DISCONTINUE_DATE_FIELD = "discontinueDate";
    public final static String RESOURCE_DIVISION_CODE_FIELD = "divisionCode";
    public final static String RESOURCE_DOCUMENT_FOLDER_FIELD = "documentFolder";
    public final static String RESOURCE_EDUCATIONS_FIELD = "educations";
    public final static String RESOURCE_EFFECTIVE_START_DATE_FIELD = "effectiveStartDate";
    public final static String RESOURCE_EMAIL_ADDRESS_FIELD = "emailAddress";
    public final static String RESOURCE_EMPLOYEE_CODE_FIELD = "employeeCode";
    public final static String RESOURCE_EMPLOYEE_STATUS_FIELD = "employeeStatus";
    public final static String RESOURCE_EMPLOYMENT_HISTORIES_FIELD = "employmentHistories";
    public final static String RESOURCE_EXECUTIVE_ATTRIBUTE_CLASSIFICATIONS_FIELD = "executiveAttributeClassifications";
    public final static String RESOURCE_EXECUTIVE_ATTRIBUTES_FIELD = "executiveAttributes";
    public final static String RESOURCE_EXECUTIVE_SECURITY_ROLE_FIELD = "executiveSecurityRole";
    public final static String RESOURCE_EXPERIENCE_FIELD = "experience";
    public final static String RESOURCE_EXTERNAL_ID_FIELD = "externalId";
    public final static String RESOURCE_FAMILY_NAME_FIELD = "familyName";
    public final static String RESOURCE_FAX_FIELD = "fax";
    public final static String RESOURCE_FULL_NAME_FIELD = "fullName";
    public final static String RESOURCE_GEOGRAPHICAL_ASSIGNMENT_FIELD = "geographicalAssignment";
    public final static String RESOURCE_GIVEN_NAME_FIELD = "givenName";
    public final static String RESOURCE_HOME_PHONE_FIELD = "homePhone";
    public final static String RESOURCE_INDUSTRY_EXPERIENCES_FIELD = "industryExperiences";
    public final static String RESOURCE_INTERVIEW_EXPERIENCE_FIELD = "interviewExperience";
    public final static String RESOURCE_LANGUAGE_PROFICIENCIES_FIELD = "languageProficiencies";
    public final static String RESOURCE_LOCATION_PREFERENCES_FIELD = "locationPreferences";
    public final static String RESOURCE_LOGON_REMINDER_FIELD = "logonReminder";
    public final static String RESOURCE_MIDDLE_NAME_FIELD = "middleName";
    public final static String RESOURCE_MOBILE_FIELD = "mobile";
    public final static String RESOURCE_MY_ACHIEVEMENTS_FIELD = "myAchievements";
    public final static String RESOURCE_MY_PERSONAL_PASSIONS_FIELD = "myPersonalPassions";
    public final static String RESOURCE_MY_PORTAL_URL1_FIELD = "myPortalUrl1";
    public final static String RESOURCE_MY_PORTAL_URL2_FIELD = "myPortalUrl2";
    public final static String RESOURCE_MY_PORTAL_URL3_FIELD = "myPortalUrl3";
    public final static String RESOURCE_MY_PORTAL_URL4_FIELD = "myPortalUrl4";
    public final static String RESOURCE_MY_PORTAL_URL5_FIELD = "myPortalUrl5";
    public final static String RESOURCE_MY_SUMMARY_OF_SKILLS_FIELD = "mySummaryOfSkills";
    public final static String RESOURCE_MY_WEBSITE_FIELD = "myWebsite";
    public final static String RESOURCE_NICK_NAME_FIELD = "nickName";
    public final static String RESOURCE_ORGANIZATIONAL_ASSIGNMENT_FIELD = "organizationalAssignment";
    public final static String RESOURCE_OVERRIDE_ORIGINAL_DOCUMENT_ON_CHECKOUT_FIELD = "overrideOriginalDocumentOnCheckout";
    public final static String RESOURCE_PAGER_FIELD = "pager";
    public final static String RESOURCE_PASSPORT_FIELD = "passport";
    public final static String RESOURCE_PASSWORD_FIELD = "password";
    public final static String RESOURCE_PROJECT_HISTORIES_FIELD = "projectHistories";
    public final static String RESOURCE_RATES_FIELD = "rates";
    public final static String RESOURCE_RESOURCE_COST_CENTER_ASSIGNMENTS_FIELD = "resourceCostCenterAssignments";
    public final static String RESOURCE_RESOURCE_SECURITY_RIGHTS_FIELD = "resourceSecurityRights";
    public final static String RESOURCE_RESOURCE_TIMESHEET_TASK_ASSIGNMENT_FIELD = "resourceTimesheetTaskAssignment";
    public final static String RESOURCE_REVERIFIED_BY_FIELD = "reverifiedBy";
    public final static String RESOURCE_SECURITY_GROUP_FIELD = "securityGroup";
    public final static String RESOURCE_SKILL_ATTRIBUTE_ASSIGNMENTS_FIELD = "skillAttributeAssignments";
    public final static String RESOURCE_TASK_ASSIGNMENTS_FIELD = "taskAssignments";
    public final static String RESOURCE_TITLE_FIELD = "title";
    public final static String RESOURCE_USER_NAME_FIELD = "userName";
    public final static String RESOURCE_VERIFIED_BY_FIELD = "verifiedBy";
    public final static String RESOURCE_WEEKLY_MAX_HOURS_FIELD = "weeklyMaxHours";
    public final static String RESOURCE_WEEKLY_MIN_HOURS_FIELD = "weeklyMinHours";
    public final static String RESOURCE_WHAT_I_DO_REALLY_WELL_FIELD = "whatIDoReallyWell";
    public final static String RESOURCE_WORKING_STATUS_FIELD = "workingStatus";
    public final static String RESOURCE_WORK_LOCATION_FIELD = "workLocation";
    public final static String RESOURCE_WORK_PACKAGES_FIELD = "workPackages";
    public final static String RESOURCE_WORK_PHONE_FIELD = "workPhone";
    public final static String RESOURCE_ZIP_POSTAL_CODE_FIELD = "zipPostalCode";
    public final static String EDUCATION_APPOINTED_DATE_FIELD = "appointedDate";
    public final static String EDUCATION_CERTIFICATION_GRADUATE_DATE_FIELD = "certificationGraduateDate";
    public final static String EDUCATION_DEGREE_PROGRAM_FIELD = "degreeProgram";
    public final static String EDUCATION_HONOURS_AWARDS_FIELD = "honoursAwards";
    public final static String EDUCATION_ORGANIZATION_FIELD = "organization";
    public final static String EDUCATION_SPECIALIZATION_FIELD = "specialization";
    public final static String POOL_ADDRESS_FIELD = "address";
    public final static String POOL_ADMINISTRATIVE_TASK_ASSIGNMENTS_FIELD = "administrativeTaskAssignments";
    public final static String POOL_ATTRIBUTE_ASSIGNMENTS_FIELD = "attributeAssignments";
    public final static String POOL_CLIENT_COST_CENTER_FIELD = "clientCostCenter";
    public final static String POOL_COMPANY_BACKGROUND_FIELD = "companyBackground";
    public final static String POOL_CONTACT_NAME_FIELD = "contactName";
    public final static String POOL_DESCRIPTION_FIELD = "description";
    public final static String POOL_DOCUMENT_FOLDER_FIELD = "documentFolder";
    public final static String POOL_DOMAIN_FIELD = "domain";
    public final static String POOL_EMAIL_FILED = "email";
    public final static String POOL_FAX_FIELD = "fax";
    public final static String POOL_INDUSTRIES_SERVED_FIELD = "industriesServed";
    public final static String POOL_LOCATION_SERVED_FIELD = "locationsServed";
    public final static String POOL_MASK_EMPLOYEE_INFO_FIELD = "maskEmployeeInfo";
    public final static String POOL_NAME_FIELD = "name";
    public final static String POOL_ORGANIZATION_NAME_FIELD = "organizationName";
    public final static String POOL_OWNERSHIP_FIELD = "ownership";
    public final static String POOL_POOL_REFERENCES_FIELD = "poolReferences";
    public final static String POOL_POOLS_FIELD = "pools";
    public final static String POOL_PRODUCTS_EXPERTISE_USED_FIELD = "productsExpertiseUsed";
    public final static String POOL_PUBLISH_FIELD = "publish";
    public final static String POOL_RESOURCE_ASSIGNMENTS_FIELD = "resourceAssignments";
    public final static String POOL_RESOURCES_FIELD = "resources";
    public final static String POOL_SECURITY_GROUP_FIELD = "securityGroup";
    public final static String POOL_SERVICES_OFFERED_FIELD = "servicesOffered";
    public final static String POOL_SERVICES_SPECIALIZED_FIELD = "servicesSpecialized";
    public final static String POOL_TELEPHONE_FIELD = "telephone";
    public final static String EMPLOYMENTHISTORY_COMPANY_FIELD = "company";
    public final static String EMPLOYMENTHISTORY_DESCRIPTION_FIELD = "description";
    public final static String EMPLOYMENTHISTORY_END_DATE_FIELD = "endDate";
    public final static String EMPLOYMENTHISTORY_LOCATION_FIELD = "location";
    public final static String EMPLOYMENTHISTORY_RESPONSIBILITIES_FIELD = "responsibilities";
    public final static String EMPLOYMENTHISTORY_SALARY_FIELD = "salary";
    public final static String EMPLOYMENTHISTORY_START_DATE_FIELD = "startDate";
    public final static String EMPLOYMENTHISTORY_TITLE_FIELD = "title";
    public final static String INDUSTRYEXPERIENCE_CLASSIFICATION_FIELD = "classification";
    public final static String INDUSTRYEXPERIENCE_INDUSTRY_FIELD = "industry";
    public final static String INDUSTRYEXPERIENCE_PROFICIENCY_FIELD = "proficiency";
    public final static String LANGUAGEPROFICIENCY_DEFAULT_LANGUAGE_FIELD = "defaultLanguage";
    public final static String LANGUAGEPROFICIENCY_LANGUAGE_FIELD = "language";
    public final static String LANGUAGEPROFICIENCY_READ_LEVEL_FIELD = "readLevel";
    public final static String LANGUAGEPROFICIENCY_SPEAK_LEVEL_FIELD = "speakLevel";
    public final static String LANGUAGEPROFICIENCY_WRITE_LEVEL_FIELD = "writeLevel";
    public final static String LOCATIONPREFERENCES_ACCEPTABLE_RELOCATE_DURATION_FIELD = "acceptableRelocateDuration";
    public final static String LOCATIONPREFERENCES_ACCEPTABLE_TRAVEL_DURATION_FIELD = "acceptableTravelDuration";
    public final static String LOCATIONPREFERENCES_RELOCATE_LOCATIONS_FIELD = "relocateLocations";
    public final static String LOCATIONPREFERENCES_TRAVEL_LOCATIONS_FIELD = "travelLocations";
    public final static String LOCATIONPREFERENCES_WILLINGTO_RELOCATE_FIELD = "willingToRelocate";
    public final static String LOCATIONPREFERENCES_WILLINGTO_TRAVEL_FIELD = "willingToTravel";
    public final static String PASSPORT_HAS_VALID_PASSPORT_FIELD = "hasValidPassport";
    public final static String PASSPORT_VISAS_FIELD = "visas";
    public final static String POOLMODULE_ATTRIBUTE_CATEGORIES_FIELD = "attributeCategories";
    public final static String POOLMODULE_COMPANY_SIZES_FIELD = "companySizes";
    public final static String POOLMODULE_POOL_DOMAINS_FIELD = "poolDomains";
    public final static String POOLMODULE_POOLS_FIELD = "pools";
    public final static String POOLREFERENCE_COMPANY_SIZE_FIELD = "companySize";
    public final static String POOLREFERENCE_CONTACT_EMAIL_FIELD = "contactEmail";
    public final static String POOLREFERENCE_CONTACT_FAX_FIELD = "contactFax";
    public final static String POOLREFERENCE_CONTACT_NAME_FIELD = "contactName";
    public final static String POOLREFERENCE_CONTACT_TELEPHONE_FIELD = "contactTelephone";
    public final static String POOLREFERENCE_ORGANIZATION_ADDRESS_FIELD = "organizationAddress";
    public final static String POOLREFERENCE_ORGANIZATION_FAX_FIELD = "organizationFax";
    public final static String POOLREFERENCE_ORGANIZATION_NAME_FIELD = "organizationName";
    public final static String POOLREFERENCE_ORGANIZATION_TELEPHONE_FIELD = "organizationTelephone";
    public final static String POOLREFERENCE_ORGANIZATION_WEBSITE_FIELD = "organizationWebsite";
    public final static String PROJECTHISTORY_CLASSIFICATION_FIELD = "classification";
    public final static String PROJECTHISTORY_CLIENT_FIELD = "client";
    public final static String PROJECTHISTORY_DESCRIPTION_FIELD = "description";
    public final static String PROJECTHISTORY_END_DATE_FIELD = "endDate";
    public final static String PROJECTHISTORY_INDUSTRY_FIELD = "industry";
    public final static String PROJECTHISTORY_PROJECT_LENGTH_FIELD = "projectLength";
    public final static String PROJECTHISTORY_PROJECT_NAME_FIELD = "projectName";
    public final static String PROJECTHISTORY_ROLE_FIELD = "role";
    public final static String PROJECTHISTORY_SKILLS_RESPONSIBILITIES_FIELD = "skillsResponsibilities";
    public final static String PROJECTHISTORY_START_DATE_FIELD = "startDate";
    public final static String PROJECTHISTORY_TIME_SPENT_FIELD = "timeSpent";
    public final static String RESOURCEATTRIBUTE_NAME_FIELD = "name";
    public final static String RESOURCEATTRIBUTECOMPETENCY_PROFICIENCY_LEVELS_FIELD = "proficiencyLevels";
    public final static String RESOURCEATTRIBUTECOMPETENCYCATEGORY_CLASSIFICATIONS_FIELDS = "classifications";
    public final static String RESOURCEATTRIBUTECOMPETENCYCLASSIFICATION_ATTRIBUTES_FIELDS = "attributes";
    public final static String RESOURCEATTRIBUTEPROFICIENCYLEVEL_RATES_FIELD = "rates";
    public final static String RESOURCEATTRIBUTECOMPETENCYPROFICIENCYLEVEL_PROFICIENCY_LEVEL_FIELD = "proficiencyLevel";
    public final static String RESOURCEATTRIBUTESKILL_PROFICIENCY_LEVELS_FIELD = "proficiencyLevels";
    public final static String RESOURCEATTRIBUTESKILLCATEGORY_CLASSIFICATIONS_FIELD = "classifications";
    public final static String RESOURCEATTRIBUTESKILLCLASSIFICATION_ATTRIBUTES_FIELD = "attributes";
    public final static String RESOURCEATTRIBUTESKILLPROFICIENCYLEVEL_PROFICIENCY_LEVEL_FIELD = "proficiencyLevel";
    public final static String RESOURCECOSTCENTERASSIGNMENT_CLIENT_COST_CENTER_FIELD = "clientCostCenter";
    public final static String RESOURCECOSTCENTERASSIGNMENT_FINISH_DATE_FIELD = "finishDate";
    public final static String RESOURCECOSTCENTERASSIGNMENT_START_DATE_FIELD = "startDate";
    public final static String RESOURCEMODULE_CITIZENSHIP_COUNTRY_CODES_FIELD = "citizenshipCountryCodes";
    public final static String RESOURCEMODULE_CLASSIFICATIONS_FIELD = "classifications";
    public final static String RESOURCEMODULE_CONTACT_GROUPS_FIELD = "contactGroups";
    public final static String RESOURCEMODULE_CUSTOM_FIELD_CATEGORIES_FIELD = "customfieldCategories";
    public final static String RESOURCEMODULE_EMPLOYEE_STATUS_FIELD = "employeeStatus";
    public final static String RESOURCEMODULE_EXPERIENCES_FIELD = "experiences";
    public final static String RESOURCEMODULE_INDUSTRY_TYPES_FIELD = "industryTypes";
    public final static String RESOURCEMODULE_LANGUAGES_FIELD = "languages";
    public final static String RESOURCEMODULE_PREFERENCE_RANKS_FIELD = "preferenceRanks";
    public final static String RESOURCEMODULE_PROFICIENCY_LEVELS_FIELD = "proficiencyLevels";
    public final static String RESOURCEMODULE_RESOURCE_ATTRIBUTE_COMPETENCY_CATEGORIES_FIELD = "resourceAttributeCompetencyCategories";
    public final static String RESOURCEMODULE_RESOURCE_ATTRIBUTE_SKILL_CATEGORIES_FIELD = "resourceAttributeSkillCategories";
    public final static String RESOURCEMODULE_WORKING_STATUS_FIELD = "workingStatus";
    public final static String RESOURCEMODULE_WORK_LOCATIONS_FIELD = "workLocations";
    public final static String RESOURCERATES_REGULAR_COST_PER_HOUR_FIELD = "regularCostPerHour";
    public final static String RESOURCERATES_SELLING_RATE_PER_HOUR_FIELD = "sellingRatePerHour";
    public final static String RESOURCERATES_SPECIAL_COST_PER_HOUR_FIELD = "specialCostPerHour";
    public final static String RESOURCERATES_SPECIAL_SELLING_RATE_PER_HOUR_FIELD = "specialSellingRatePerHour";
    public final static String RESOURCESECURITYRIGHTS_CAN_ACCESS_ASSET_MANAGEMENT_FIELD = "canAccessAssetManagement";
    public final static String RESOURCESECURITYRIGHTS_CAN_ACCESS_PERSONAL_PROJECT_FIELD = "canAccessPersonalProject";
    public final static String RESOURCESECURITYRIGHTS_CAN_ACCESS_PJC_FIELD = "canAccessPjc";
    public final static String RESOURCESECURITYRIGHTS_CAN_ACCESS_PORTFOLIO_DASHBOARD_FIELD = "canAccessPortfolioDashboard";
    public final static String RESOURCESECURITYRIGHTS_CAN_ADMINISTER_FINANCIAL_SYSTEM_FIELD = "canAdministerFinancialSystem";
    public final static String RESOURCESECURITYRIGHTS_CAN_ADOPT_WHATIF_ANALYSIS_FIELD = "canAdoptWhatIfAnalysis";
    public final static String RESOURCESECURITYRIGHTS_CAN_CONVERT_PROJECT_TO_ORGANIZATION_FIELD = "canConvertProjectToOrganization";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_CLIENT_COST_CENTER_DIVISION_FOLDERS_FIELD = "canCreateClientCostCenterDivisionFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_CONTRACTS_AND_FOLDERS_FIELD = "canCreateContractsAndFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_DELETE_ASSETS_AND_FOLDERS_FIELD = "canCreateDeleteAssetsAndFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_DOCUMENT_TEMPLATE_FIELD = "canCreateDocumentTemplate";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_EMPTY_PROJECTS_FIELD = "canCreateEmptyProjects";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_FROM_WBSTEMPLATE_FIELD = "canCreateFromWbsTemplate";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_PROJECTS_FROM_DEFAULT_FIELD = "canCreateProjectsFromDefault";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_PROJECTS_FROM_WBSTEMPLATE_FIELD = "canCreateProjectsFromWbsTemplate";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_RESOURCE_POOLS_FIELD = "canCreateResourcePools";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_RESOURCES_FIELD = "canCreateResources";
    public final static String RESOURCESECURITYRIGHTS_CAN_CREATE_SCOPE_TEMPLATES_FIELD = "canCreateScopeTemplates";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_ASSETS_AND_FOLDERS_FROM_OTHERS_FIELD = "canDeleteAssetsAndFoldersFromOthers";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_CLIENT_COST_CENTER_DIVISION_FOLDERS_FIELD = "canDeleteClientCostCenterDivisionFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_CONTRACTS_AND_FOLDERS_FIELD = "canDeleteContractsAndFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_PROJECTS_FIELD = "canDeleteProjects";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_RESOURCE_POOLS_FIELD = "canDeleteResourcePools";
    public final static String RESOURCESECURITYRIGHTS_CAN_DELETE_RESOURCES_FIELD = "canDeleteResources";
    public final static String RESOURCESECURITYRIGHTS_CAN_DESIGN_REPORT_FIELD = "canDesignReport";
    public final static String RESOURCESECURITYRIGHTS_CAN_DMWBSTEMPLATE_FOLDER_AND_LINKS_FIELD = "canDmwbsTemplateFolderAndLinks";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_ACCOUNT_CODES_FIELD = "canEditAccountCodes";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_ATTRIBUTE_ADMIN_FIELD = "canEditAttributeAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_CALENDAR_ADMIN_FIELD = "canEditCalendarAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_CLIENT_COST_CENTER_DIVISION_FOLDER_NAMES_FIELD = "canEditClientCostCenterDivisionFolderNames";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_CONTRACTS_AND_FOLDER_NAMES_FIELD = "canEditContractsAndFolderNames";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_CONTRACTS_AND_FOLDERS_FIELD = "canEditContractsAndFolders";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_CURRENCY_EXCHANGE_RATES_FIELD = "canEditCurrencyExchangeRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_DATAFIELD_ADMIN_FIELD = "canEditDatafieldAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_DEFAULT_RESOURCE_SECURITY_FIELD = "canEditDefaultResourceSecurity";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_EXTERNAL_IDENTIFIER_FIELD = "canEditExternalIdentifier";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_FINANCIAL_ADMIN_FIELD = "canEditFinancialAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_GENERAL_ADMIN_FIELD = "canEditGeneralAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_LOCATION_GEOGRAPHIES_FIELD = "canEditLocationGeographies";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_LOCATION_GROUPS_FIELD = "canEditLocationGroups";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_LOCATION_ORGANIZATIONS_FIELD = "canEditLocationOrganizations";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_LOCATION_POOL_DOMAINS_FIELD = "canEditLocationPoolDomains";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_ADDRESS_FIELD = "canEditPersonalAddress";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_BACKGROUND_FIELD = "canEditPersonalBackground";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_CALENDAR_FIELD = "canEditPersonalCalendar";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_COMPETENCY_COSTS_RATES_FIELD = "canEditPersonalCompetencyCostsRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_COMPETENCY_SKILLS_FIELD = "canEditPersonalCompetencySkills";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_DOCUMENTS_FIELD = "canEditPersonalDocuments";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_EFFECTIVE_DISCONTINUE_ACTIVE_DATES_FIELD = "canEditPersonalEffectiveDiscontinueActiveDates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_EXECUTIVE_ATTRIBUTES_FIELD = "canEditPersonalExecutiveAttributes";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_INFORMATION_FIELD = "canEditPersonalInformation";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_NAME_FIELD = "canEditPersonalName";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_NICK_NAME_FIELD = "canEditPersonalNickName";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_ORGANIZATION_GROUP_GEOGRAPHICAL_FIELD = "canEditPersonalOrganizationGroupGeographical";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_PASSWORD_FIELD = "canEditPersonalPassword";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_RATES_FIELD = "canEditPersonalRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_SETTINGS_FIELD = "canEditPersonalSettings";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_PERSONAL_USER_NAME_EMAIL_FIELD = "canEditPersonalUserNameEmail";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_POOL_NAMES_FIELD = "canEditPoolNames";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_ADDRESS_FIELD = "canEditResourceAddress";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_ATTRIBUTE_ADMIN_FIELD = "canEditResourceAttributeAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_BACKGROUND_FIELD = "canEditResourceBackground";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_CALENDAR_FIELD = "canEditResourceCalendar";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_COMPETENCY_COSTS_RATES_FIELD = "canEditResourceCompetencyCostsRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_COMPETENCY_SKILLS_FIELD = "canEditResourceCompetencySkills";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_DOCUMENTS_FIELD = "canEditResourceDocuments";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_EFFECTIVE_DISCONTINUE_ACTIVE_DATES_FIELD = "canEditResourceEffectiveDiscontinueActiveDates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_EXECUTIVE_ACCESS_LEVEL_FIELD = "canEditResourceExecutiveAccessLevel";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_EXECUTIVE_ATTRIBUTES_FIELD = "canEditResourceExecutiveAttributes";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_FULL_NAME_FIELD = "canEditResourceFullName";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_INFORMATION_FIELD = "canEditResourceInformation";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_NAME_FIELD = "canEditResourceName";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_NICK_NAME = "canEditResourceNickName";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_ORGANIZATION_GROUP_GEOGRAPHICAL_FIELD = "canEditResourceOrganizationGroupGeographical";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_PASSWORD_FIELD = "canEditResourcePassword";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_RATES_FIELD = "canEditResourceRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_SECURITY_FIELD = "canEditResourceSecurity";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_SETTINGS_FIELD = "canEditResourceSettings";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_RESOURCE_USER_NAME_EMAIL_FIELD = "canEditResourceUserNameEmail";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_SCORECARD_ADMIN_FIELD = "canEditScorecardAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_TIME_CODES_FIELD = "canEditTimeCodes";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_WBSSECURITY_FIELD = "canEditWbsSecurity";
    public final static String RESOURCESECURITYRIGHTS_CAN_EDIT_WORKFLOW_ADMIN_FIELD = "canEditWorkflowAdmin";
    public final static String RESOURCESECURITYRIGHTS_CAN_MANAGE_ARCHIVED_PROJECTS_FIELD = "canManageArchivedProjects";
    public final static String RESOURCESECURITYRIGHTS_CAN_MODIFY_ALERT_MESSAGES_FIELD = "canModifyAlertMessages";
    public final static String RESOURCESECURITYRIGHTS_CAN_MODIFY_FLAG_DELETE_MANDATORY_TASK_FIELD = "canModifyFlagDeleteMandatoryTask";
    public final static String RESOURCESECURITYRIGHTS_CAN_PUBLISH_LOCAL_WBSTEMPLATES_FIELD = "canPublishLocalWbsTemplates";
    public final static String RESOURCESECURITYRIGHTS_CAN_PUBLISH_TO_METHOD_WBSTEMPLATES_FIELD = "canPublishToMethodWbsTemplates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_COMMUNICATIONS_FIELD = "canViewCommunications";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_DOCUMENTS_FIELD = "canViewDocuments";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_DOCUMENT_TEMPLATE_FIELD = "canViewDocumentTemplate";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_EXPENSES_FIELD = "canViewExpenses";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_FULL_PROJECT_WBS_FIELD = "canViewFullProjectWbs";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_BACKGROUND_FIELD = "canViewPersonalBackground";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_CALENDAR_FIELD = "canViewPersonalCalendar";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_COMPETENCY_COSTS_RATES_FIELD = "canViewPersonalCompetencyCostsRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_COMPETENCY_SKILLS_FIELD = "canViewPersonalCompetencySkills";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_DOCUMENTS_FIELD = "canViewPersonalDocuments";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_EFFECTIVE_DISCONTINUE_ACTIVE_DATES_FIELD = "canViewPersonalEffectiveDiscontinueActiveDates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_EXECUTIVE_ATTRIBUTES_FIELD = "canViewPersonalExecutiveAttributes";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_INFORMATION_FIELD = "canViewPersonalInformation";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_NICK_NAME_FIELD = "canViewPersonalNickName";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_ORGANIZATION_GROUP_GEOGRAPHICAL_FIELD = "canViewPersonalOrganizationGroupGeographical";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_PUBLISHED_WORK_PACKAGES_FIELD = "canViewPersonalPublishedWorkPackages";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_RATES_FIELD = "canViewPersonalRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_SCORECARD_PIVOT_FIELD = "canViewPersonalScorecardPivot";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_SECURITY_FIELD = "canViewPersonalSecurity";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PERSONAL_SETTINGS_FIELD = "canViewPersonalSettings";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_PORTFOLIO_DASHBOARD_FIELD = "canViewPortfolioDashboard";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_ADDRESS_FIELD = "canViewResourceAddress";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_BACKGROUND_FIELD = "canViewResourceBackground";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_COMPETENCY_COSTS_RATES_FIELD = "canViewResourceCompetencyCostsRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_COMPETENCY_SKILLS_FIELD = "canViewResourceCompetencySkills";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_DOCUMENTS_FIELD = "canViewResourceDocuments";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_EFFECTIVE_DISCONTINUE_ACTIVE_DATES_FIELD = "canViewResourceEffectiveDiscontinueActiveDates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_EXECUTIVE_ACCESS_LEVEL_FIELD = "canViewResourceExecutiveAccessLevel";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_EXECUTIVE_ATTRIBUTES_FIELD = "canViewResourceExecutiveAttributes";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_INFORMATION_FIELD = "canViewResourceInformation";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_LOGON_FIELD = "canViewResourceLogon";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_NAME_FIELD = "canViewResourceName";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_NICK_NAME_FIELD = "canViewResourceNickName";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_ORGANIZATION_GROUP_GEOGRAPHICAL_FIELD = "canViewResourceOrganizationGroupGeographical";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_PUBLISHED_WORK_PACKAGES_FIELD = "canViewResourcePublishedWorkPackages";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_RATES_FIELD = "canViewResourceRates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_SCORECARD_PIVOT_FIELD = "canViewResourceScorecardPivot";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_SECURITY_FIELD = "canViewResourceSecurity";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_RESOURCE_SETTINGS_FIELD = "canViewResourceSettings";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_SCOPE_MANAGEMENT_FIELD = "canViewScopeManagement";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_SCOPE_TEMPLATES_FIELD = "canViewScopeTemplates";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_TIMESHEETS_FIELD = "canViewTimesheets";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_WHATIF_ANALYSIS_FIELD = "canViewWhatIfAnalysis";
    public final static String RESOURCESECURITYRIGHTS_CAN_VIEW_WORK_MANAGEMENT_FIELD = "canViewWorkManagement";
    public final static String RESOURCEROLEASSIGNMENT_RESOURCE_FIELD = "resource";
    public final static String VISA_COUNTRY_FIELD = "country";
    public final static String VISA_EXPIRY_DATE_FIELD = "expiryDate";
}
