package com.ibm.rpm.security.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  abstract class AbstractSecurityRole  extends com.ibm.rpm.security.containers.SecurityRole {

			
		
		
			
	private java.lang.Boolean[] canEditCustomFieldsGroups; 	
	public java.lang.Boolean[]  getCanEditCustomFieldsGroups() {
		return this.canEditCustomFieldsGroups;
	}
	
	public void setCanEditCustomFieldsGroups(java.lang.Boolean[] value) {
		this.canEditCustomFieldsGroups = value;
	}
	
			
	public void deltaCanEditCustomFieldsGroups(java.lang.Boolean[] oldValue) {
		if (!(CompareUtil.equals(oldValue, canEditCustomFieldsGroups))) {
			canEditCustomFieldsGroups_is_modified = true;
		}
	}
	
	private boolean canEditCustomFieldsGroups_is_modified = false;
	
	public boolean testCanEditCustomFieldsGroupsModified() {
		return canEditCustomFieldsGroups_is_modified;
	}
		
		
	private java.lang.Boolean canManageScheduledWorkflows; 	
	public java.lang.Boolean  getCanManageScheduledWorkflows() {
		return this.canManageScheduledWorkflows;
	}
	
	public void setCanManageScheduledWorkflows(java.lang.Boolean value) {
		this.canManageScheduledWorkflows = value;
	}
	
			
	public void deltaCanManageScheduledWorkflows(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canManageScheduledWorkflows))) {
			canManageScheduledWorkflows_is_modified = true;
		}
	}
	
	private boolean canManageScheduledWorkflows_is_modified = false;
	
	public boolean testCanManageScheduledWorkflowsModified() {
		return canManageScheduledWorkflows_is_modified;
	}
		
		
	private java.lang.Boolean canStartManualWorkflow; 	
	public java.lang.Boolean  getCanStartManualWorkflow() {
		return this.canStartManualWorkflow;
	}
	
	public void setCanStartManualWorkflow(java.lang.Boolean value) {
		this.canStartManualWorkflow = value;
	}
	
			
	public void deltaCanStartManualWorkflow(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canStartManualWorkflow))) {
			canStartManualWorkflow_is_modified = true;
		}
	}
	
	private boolean canStartManualWorkflow_is_modified = false;
	
	public boolean testCanStartManualWorkflowModified() {
		return canStartManualWorkflow_is_modified;
	}
		
		
	private java.lang.Boolean canManageManualWorkflows; 	
	public java.lang.Boolean  getCanManageManualWorkflows() {
		return this.canManageManualWorkflows;
	}
	
	public void setCanManageManualWorkflows(java.lang.Boolean value) {
		this.canManageManualWorkflows = value;
	}
	
			
	public void deltaCanManageManualWorkflows(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canManageManualWorkflows))) {
			canManageManualWorkflows_is_modified = true;
		}
	}
	
	private boolean canManageManualWorkflows_is_modified = false;
	
	public boolean testCanManageManualWorkflowsModified() {
		return canManageManualWorkflows_is_modified;
	}
		
		
	private java.lang.Boolean[] canViewCustomFieldsGroups; 	
	public java.lang.Boolean[]  getCanViewCustomFieldsGroups() {
		return this.canViewCustomFieldsGroups;
	}
	
	public void setCanViewCustomFieldsGroups(java.lang.Boolean[] value) {
		this.canViewCustomFieldsGroups = value;
	}
	
			
	public void deltaCanViewCustomFieldsGroups(java.lang.Boolean[] oldValue) {
		if (!(CompareUtil.equals(oldValue, canViewCustomFieldsGroups))) {
			canViewCustomFieldsGroups_is_modified = true;
		}
	}
	
	private boolean canViewCustomFieldsGroups_is_modified = false;
	
	public boolean testCanViewCustomFieldsGroupsModified() {
		return canViewCustomFieldsGroups_is_modified;
	}
		
		
	private java.lang.Boolean canViewWorkflowScheduling; 	
	public java.lang.Boolean  getCanViewWorkflowScheduling() {
		return this.canViewWorkflowScheduling;
	}
	
	public void setCanViewWorkflowScheduling(java.lang.Boolean value) {
		this.canViewWorkflowScheduling = value;
	}
	
			
	public void deltaCanViewWorkflowScheduling(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canViewWorkflowScheduling))) {
			canViewWorkflowScheduling_is_modified = true;
		}
	}
	
	private boolean canViewWorkflowScheduling_is_modified = false;
	
	public boolean testCanViewWorkflowSchedulingModified() {
		return canViewWorkflowScheduling_is_modified;
	}
		
		
	private java.lang.Boolean canEditWorkflowScheduling; 	
	public java.lang.Boolean  getCanEditWorkflowScheduling() {
		return this.canEditWorkflowScheduling;
	}
	
	public void setCanEditWorkflowScheduling(java.lang.Boolean value) {
		this.canEditWorkflowScheduling = value;
	}
	
			
	public void deltaCanEditWorkflowScheduling(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, canEditWorkflowScheduling))) {
			canEditWorkflowScheduling_is_modified = true;
		}
	}
	
	private boolean canEditWorkflowScheduling_is_modified = false;
	
	public boolean testCanEditWorkflowSchedulingModified() {
		return canEditWorkflowScheduling_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        canEditCustomFieldsGroups_is_modified = false;      
                                
        canManageScheduledWorkflows_is_modified = false;      
                                
        canStartManualWorkflow_is_modified = false;      
                                
        canManageManualWorkflows_is_modified = false;      
                                
        canViewCustomFieldsGroups_is_modified = false;      
                                
        canViewWorkflowScheduling_is_modified = false;      
                                
        canEditWorkflowScheduling_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (canEditCustomFieldsGroups != null) {
     		canEditCustomFieldsGroups_is_modified = true;
     	}
     	     	     	     	
     	if (canManageScheduledWorkflows != null) {
     		canManageScheduledWorkflows_is_modified = true;
     	}
     	     	     	     	
     	if (canStartManualWorkflow != null) {
     		canStartManualWorkflow_is_modified = true;
     	}
     	     	     	     	
     	if (canManageManualWorkflows != null) {
     		canManageManualWorkflows_is_modified = true;
     	}
     	     	     	     	
     	if (canViewCustomFieldsGroups != null) {
     		canViewCustomFieldsGroups_is_modified = true;
     	}
     	     	     	     	
     	if (canViewWorkflowScheduling != null) {
     		canViewWorkflowScheduling_is_modified = true;
     	}
     	     	     	     	
     	if (canEditWorkflowScheduling != null) {
     		canEditWorkflowScheduling_is_modified = true;
     	}
     	     	     	
     }
     
     
}