package com.ibm.rpm.security.managers;

import java.util.ArrayList;

import com.ibm.rpm.framework.util.ToStringUtil;

public class SecurityRule {
	private String attribute;
	private int attributeIndex;
	
	/**
	 * @param attributeIndex
	 */
	public SecurityRule(int attributeIndex) {
		super();
		this.attributeIndex = attributeIndex;
	}
	
	/**
	 * 
	 */
	public SecurityRule() {
		super();
	}
	/*
	 * resetAttributeIndexes contains the attribute index of the fields that must be set to false
	 * if the current attribute is false.
	 */
	private ArrayList resetAttributeIndexes = new ArrayList();
	/*
	 * setAttributeIndexes contains the attribute index of the fields that must be set to true
	 * if the current attribute is true.
	 */
	private ArrayList setAttributeIndexes = new ArrayList();

	
	/**
	 * @return Returns the attribute.
	 */
	public String getAttribute() {
		return attribute;
	}
	/**
	 * @param attribute The attribute to set.
	 */
	public void setAttribute(String attribute) {
		this.attribute = attribute;
	}
	/**
	 * @return Returns the attributeIndex.
	 */
	public int getAttributeIndex() {
		return attributeIndex;
	}
	/**
	 * @param attributeIndex The attributeIndex to set.
	 */
	public void setAttributeIndex(int attributeIndex) {
		this.attributeIndex = attributeIndex;
	}
	/**
	 * @return Returns the resetAttributeIndexes.
	 */
	public ArrayList getResetAttributeIndexes() {
		return resetAttributeIndexes;
	}
	/**
	 * @param resetAttributeIndexes The resetAttributeIndexes to set.
	 */
	public void setResetAttributeIndexes(ArrayList resetAttributeIndexes) {
		this.resetAttributeIndexes = resetAttributeIndexes;
	}
	/**
	 * @return Returns the setAttributeIndexes.
	 */
	public ArrayList getSetAttributeIndexes() {
		return setAttributeIndexes;
	}
	/**
	 * @param setAttributeIndexes The setAttributeIndexes to set.
	 */
	public void setSetAttributeIndexes(ArrayList setAttributeIndexes) {
		this.setAttributeIndexes = setAttributeIndexes;
	}
	/**
	 * @param resetAttributes The resetAttributes to set.
	 */
	public void addResetAttributeIndexes(int attributeIndex) {
		this.resetAttributeIndexes.add(new Integer(attributeIndex));
	}
	/**
	 * @param resetAttributes The resetAttributes to set.
	 */
	public void addSetAttributeIndexes(int attributeIndex) {
		this.setAttributeIndexes.add(new Integer(attributeIndex));
	}
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return ToStringUtil.getText(this);
	}
}
