package com.ibm.rpm.xpathparser;

/**
 * @author gmeloche
 *
 */
public abstract class Condition implements Cloneable
{
    private String operator = null;
    
    public Object clone() throws CloneNotSupportedException{
        
        Condition c = null;

        try
        {
            c = (Condition) super.clone();
            c.setOperator(this.getOperator());
        }
        catch (CloneNotSupportedException e)
        {
            //Do nothing
        }

        return c;
        

    }
    
    /**
     * @return Returns the conditionType.
     */
    public String getOperator()
    {
        return operator;
    }
    /**
     * @param conditionType The conditionType to set.
     */
    public void setOperator(String operator)
    {
        this.operator = operator;
    }
}
