/*
 * Licensed Materials - Use restricted, please refer to the "Sample Code" terms 
 * and conditions in the IBM International Program License Agreement (IPLA).
 * 
 *  Copyright IBM Corporation 2006, 2007. All Rights Reserved.
 */

using System;
using NUnit.Framework;

namespace Tests.organizational 
{
	/// <summary>
	/// Shows use of [ExpectedException].
	/// </summary>
	[TestFixture]
	public class TestOrganizational : OrganizationalFixture
	{
		// Correct before reactivating. [Test]
		public void _testOrganizational() 
		{
			TestFramework.ApplicationAPI.Organizational organizational = new TestFramework.ApplicationAPI.Organizational();
			organizational.name = "Nouveau organizational";
			TestFramework.ApplicationAPI.OrganizationalScope scope = new TestFramework.ApplicationAPI.OrganizationalScope();

			scope.children = new TestFramework.ApplicationAPI.OrganizationalScope();
			
			saveOrganizational(organizational, scope);

			organizational = loadOrganizationalFromXPath("Organizational", "Nouveau organizational", scope);
			Assert.IsNotNull(organizational.ID);
		}
	}
}