/*
 * Created on 7-Nov-2005
 */
package com.ibm.rpm.client.junit.clientcostcenters.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.clientcostcenters.fixtures.FolderFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.clientcostcenters.containers.ClientFolder;
import com.ibm.rpm.clientcostcenters.scope.ClientCostCenterScope;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author njarazi
 */
public class TestClientFolderDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return FolderFixture.createFixture(1, 1, 1, (ClientCostCenterScope)mainScope, this);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return FolderFixture.createScope(1, 1, 1, 1, 1);
    }

    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        
        FolderFixture.compare((ClientFolder) myObject,
                (ClientFolder) dbObject, (ClientCostCenterScope)mainScope);
    }
}