/*
 * Created on 24-Aug-2006
 */
package com.ibm.rpm.client.junit.communications.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.communications.fixtures.GenericCommunicationFixture;
import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.communications.containers.GenericCommunication;
import com.ibm.rpm.communications.containers.StaffingRequest;
import com.ibm.rpm.communications.scope.GenericCommunicationScope;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

/**
 * @author dominiqu
 */
public class TestStaffingRequestDataXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        return GenericCommunicationFixture.createSaveFixture(null,
            new StaffingRequest(), (GenericCommunicationScope) mainScope, this);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return GenericCommunicationFixture.createFullScope(true);
    }

    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        GenericCommunicationFixture.compare((GenericCommunication) myObject,
            (GenericCommunication) dbObject, (GenericCommunicationScope) scope);
    }
}
