package com.ibm.rpm.client.junit.document.testcases.fixes;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.document.fixtures.DocumentElementFixture;
import com.ibm.rpm.client.junit.resource.fixtures.ResourceFixture;
import com.ibm.rpm.document.containers.Document;
import com.ibm.rpm.document.scope.DocumentScope;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.resource.scope.ResourceScope;

/**
 * @author dominiqu
 */
public class Test63838 extends ClientTestController 
{
    public void testLoadResourceWithDocumentFolderChildren() throws Exception
    {
        ResourceScope resourceScope = new ResourceScope();
        DocumentScope documentScope = new DocumentScope();
        resourceScope.setDocumentFolder(documentScope);
        Resource resource = ResourceFixture.createSaveFixture(resourceScope, this);
        DocumentElementFixture.createSaveFixture(resource.getDocumentFolder(), new Document(), 0, null, this);

        resourceScope.getDocumentFolder().setChildren(new DocumentScope());        
        resource = (Resource) loadFromID(resource, resourceScope);
          
        assertNotNull(resource);
        assertNotNull(resource.getDocumentFolder());
        assertNotNull(resource.getDocumentFolder().getChildren());
    }
}
