/*
 * Created on Dec 5, 2006
 * @author mmatwiy
 */
package com.ibm.rpm.client.junit.framework.testcases.util;

public class ScheduleDateUtil
{
    /*
     * Returns durationInMinutes rounded up to the nearest quarter-hour.
     */
    public static int roundDurationUpToQuarterHour(Integer durationInMinutes)
    {
        int duration = durationInMinutes == null ? 0 : durationInMinutes
            .intValue();

        int minutes = duration % 60; // number of minutes left after dividing into hours
        int hourPortion = duration - minutes;

        if (minutes > 45)
        {
            minutes = 60;
        }
        else if (minutes > 30)
        {
            minutes = 45;
        }
        else if (minutes > 15)
        {
            minutes = 30;
        }
        else if (minutes > 0)
        {
            minutes = 15;
        }

        // return the new durationInMinutes, rounded up to the nearest 15 minute increment
        return hourPortion + minutes;
    }
}
