/*
 * Created on Dec 15, 2006
 */
package com.ibm.rpm.client.junit.resource.testcases.fixes;

import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.resource.fixtures.ResourceFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.resource.containers.Resource;
import com.ibm.rpm.resource.scope.ResourceScope;
import com.ibm.rpm.timesheet.containers.PersonalProject;
import com.ibm.rpm.timesheet.scope.PersonalProjectScope;

public class Test59307 extends ClientTestController
{
    public void testLoadPersonalProjectFromResource() throws Exception
    {
        // test the join condition
        ResourceScope scope = new ResourceScope();
        scope.setPersonalProject(new PersonalProjectScope());
        Resource resource = ResourceFixture.createSaveFixture(scope, this);

        RPMObject[] objects = loadFromXpath("/Resource[id='" + resource.getID()
                + "']/PersonalProject", null);

        assertNotNull(objects);
        assertNotNull(objects[0]);
        assertTrue(objects[0] instanceof PersonalProject);
    }
}
