/*
 * Created on 11-Oct-2005
 */
package com.ibm.rpm.client.junit.resource.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.client.junit.resource.fixtures.EducationFixture;
import com.ibm.rpm.client.junit.resource.fixtures.ResourceFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.resource.containers.Education;
import com.ibm.rpm.resource.containers.Resource;

/**
 * @author njarazi
 */
public class TestEducationDataXPath extends ObjectXPathTester
{
    Resource resource;

    protected RPMObject createObject() throws Exception
    {
        resource = ResourceFixture.createSaveFixture(this);
        return EducationFixture.createFixture(resource);
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return null;
    }
    
    /**
     * @param dbObject
     * @throws AssertionFailedError
     * @throws Exception
     */
    protected void objectCompare(RPMObject myObject, RPMObject dbObject,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        EducationFixture.compare((Education) myObject, (Education) dbObject);
    }
}
