/*
 * Created on Dec 13, 2005
 * @author mmatwiy
 * Test validation for container AssignedScorecardState for a 
 * ScopeManagement Action object.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.scopemanagement.containers.Action;
import com.ibm.rpm.scopemanagement.containers.ScopeManagementModule;

public class TestScopeActionAssignedScorecardStateValidation extends
        AbstractTestAssignedScorecardStateValidation
{
    ScopeManagementModule module;

    public void setUp() throws Exception
    {
        super.setUp();

        ScorecardScopeValidationUtility utility = new ScorecardScopeValidationUtility();

        module = utility.createModule();

        Action assignedAction = utility.prepareActionAssignment(module);

        initializeValues(assignedAction.getAssignedScorecard()
            .getScorecardState());
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testPublishedNotSet() throws Exception
    {
        publishedNotSet();
    }

    public void testDefaultValues() throws Exception
    {
        defaultValuesInsert();
        defaultValuesUpdateToNull();
    }
}
