/*
 * Created on Dec 13, 2005
 * @author mmatwiy
 * Test validation for container AssignedScorecardQuestion for a 
 * WBS Project container.
 */
package com.ibm.rpm.client.junit.scorecard.testcases.validation;

import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.containers.WbsModule;

public class TestWBSProjectAssignedScorecardQuestionValidation extends
        AbstractTestAssignedScorecardQuestionValidation
{
    WbsModule module;

    public void setUp() throws Exception
    {
        super.setUp();

        ScorecardWBSValidationUtility utility = new ScorecardWBSValidationUtility();

        module = utility.createModule();
        
        Project assignedProject = utility.prepareProjectAssignment(module);

        initializeValues(assignedProject.getAssignedScorecards()[0]
            .getAssignedScorecardCategories()[0]
            .getAssignedScorecardQuestions()[0]);
    }

    public void tearDown() throws Exception
    {
        super.tearDown();
    }

    public void testReadOnlyFields() throws Exception
    {
        readOnlyFields();
    }
    
    public void testSelectedResponse() throws Exception
    {
        selectedResponses();
    }

    public void testDefaultValuesInsert() throws Exception
    {
        defaultValuesInsert();
    }
    
    public void testDefaultValuesUpdateToNull() throws Exception
    {
        defaultValuesUpdateToNull();
    }
}
