/*
 * +------------------------------------------------------------------------+
 * | Licensed Materials - Property of IBM                                   | 
 * | (C) Copyright IBM Corp. 2005. All Rights Reserved.                     | 
 * |                                                                        |
 * | US Government Users Restricted Rights - Use, duplication or disclosure |
 * | restricted by GSA ADP Schedule Contract with IBM Corp.                 | 
 * +------------------------------------------------------------------------+
 */
package com.ibm.rpm.client.junit.security.testcases.igs;

import com.ibm.rpm.client.junit.applicationadministration.fixtures.OrganizationalFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.PortfolioFixture;
import com.ibm.rpm.client.junit.wbs.fixtures.WorkElementFixture;
import com.ibm.rpm.wbs.containers.Project;
import com.ibm.rpm.wbs.containers.ProjectOrganizationalAssignment;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;
import com.ibm.rpm.wbs.scope.WorkElementScope;

/**
 * @author Marc-Andre Lamothe
 */
public class TestProjectOrganizationalAssignmentSecurityLocal extends BaseIGSSecurityTestLocal
{
    private WorkElementScope projectScope = null;

    private Project testProject = null;

    public void setUp() throws Exception
    {
        super.setUp();

        // Prepare a project
        projectScope = new WorkElementScope();
        projectScope.setResourceTaskAssignments(new ResourceTaskAssignmentScope());
        testProject = (Project) WorkElementFixture.createFixture(null,
            new Project(), projectScope, this);
        testProject.setPortfolio(PortfolioFixture.loadOrCreateRootPortfolio(this));
    }

    public void test() {}
    
//    public void testAddProjectOrganizationalAssignment() throws Exception
//    {
//        // Sets up the test Project with a child item
//        projectScope.setOrganizationalAssignments(true);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Add a child element to project, should succeed
//        ProjectOrganizationalAssignment[] oa =
//        {
//            new ProjectOrganizationalAssignment()
//        };
//        oa[0].setOrganizational(OrganizationalFixture
//            .createSaveFixture(0, this));
//        testProject.setOrganizationalAssignments(oa);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        //      Add new child, should fail
//        ProjectOrganizationalAssignment[] oa2 =
//        {
//                oa[0], new ProjectOrganizationalAssignment()
//        };
//        oa2[1].setOrganizational(OrganizationalFixture.createSaveFixture(0,
//            this));
//
//        // Assign another resource as manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        testProject.setOrganizationalAssignments(oa2);
//        testProject = (Project) saveAndValidate(testProject, projectScope,
//            false);
//    }
//
//    public void testDeleteProjectOrganizationalAssignment() throws Exception
//    {
//        // Sets up the test Project with a child item
//        projectScope.setOrganizationalAssignments(true);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Add a child element to project, should succeed
//        ProjectOrganizationalAssignment[] oa =
//        {
//            new ProjectOrganizationalAssignment()
//        };
//        oa[0].setOrganizational(OrganizationalFixture
//            .createSaveFixture(0, this));
//        testProject.setOrganizationalAssignments(oa);
//        oa[0].setParent(testProject);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Delete child, should succeed
//        oa = testProject.getOrganizationalAssignments();
//        oa[0].setParent(testProject);
//        deleteAndValidate(oa[0], true);
//
//        // Add a child element to project, should succeed
//        oa[0] = new ProjectOrganizationalAssignment();
//        oa[0].setOrganizational(OrganizationalFixture
//            .createSaveFixture(0, this));
//        testProject.setOrganizationalAssignments(oa);
//        testProject = (Project) saveAndValidate(testProject, projectScope, true);
//
//        // Assign another resource as manager of the Project
//        assignOtherResourceAsProjectManager(testProject);
//
//        // Delete child, should fail
//        oa = testProject.getOrganizationalAssignments();
//        oa[0].setParent(testProject);
//        deleteAndValidate(oa[0], false);
//    }

}
