package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;

public class PlannedDocumentSecurityTestCanAssignLocal extends
		AbstractPlannedDocumentSecurityTestLocal {

	public PlannedDocumentSecurityTestCanAssignLocal(Class securityRoleClass,
			RPMObject containerObject, RPMObject grandparentWorkElement,
			RPMObjectScope scope, String fieldToTest, String flagName)
	{
		super(securityRoleClass, containerObject, grandparentWorkElement,
				scope, fieldToTest, flagName);
	}
	
	protected void verifyMustFailScenario() throws Exception 
	{
		assign(AbstractPlannedSecurityTestLocal.PARTICIPANT);
		verifyMustFailScenarioForAssign();
	}

	protected void verifyMustSuccessScenario() throws Exception 
	{
		verifyMustSuccessScenarioForAssign();
	}

}
