package com.ibm.rpm.client.junit.security.testcases.role;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedScopeElementSecurityTestCanCloseLocal extends
		AbstractPlannedScopeElementSecurityTestLocal {

    public PlannedScopeElementSecurityTestCanCloseLocal(Class securityRoleClass,
            RPMObject containerObject, WorkElement grandparentWorkElement,
            RPMObjectScope scope, String fieldToTest, String flagName)
    {
    	super(securityRoleClass, containerObject, grandparentWorkElement,
            scope, fieldToTest, flagName);
    }
    
    protected void verifyMustFailScenario() throws Exception
    {
        verifyMustFailScenarioForClose();
    }

    protected void verifyMustSuccessScenario() throws Exception
    {
        verifyMustSuccessScenarioForClose();
    }

}
