package com.ibm.rpm.client.junit.security.testcases.role;

import java.util.ArrayList;

import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.WorkElement;

public class PlannedWorkElementSecurityTestCanViewLocal extends
        AbstractPlannedWorkElementSecurityTestLocal
{
    public PlannedWorkElementSecurityTestCanViewLocal(Class securityRoleClass,
            RPMObject containerObject, WorkElement grandparentWorkElement,
            RPMObjectScope scope, String fieldToTest, String flagName)
    {
        super(securityRoleClass, containerObject, grandparentWorkElement,
            scope, fieldToTest, flagName);
    }
    
    public PlannedWorkElementSecurityTestCanViewLocal(Class securityRoleClass,
            RPMObject containerObject, WorkElement grandparentWorkElement,
            RPMObjectScope scope, ArrayList fieldsToTest, String flagName)
    {
        super(securityRoleClass, containerObject, grandparentWorkElement,
            scope, fieldsToTest, flagName);
    }

    protected void verifyMustFailScenario() throws Exception
    {
        verifyMustFailScenarioForView();
    }

    protected void verifyMustSuccessScenario() throws Exception
    {
        verifyMustSuccessScenarioForView();
    }
}
