package com.ibm.rpm.client.junit.wbs.testcases.fixes;

import com.ibm.rpm.applicationadministration.containers.RPMCalendar;
import com.ibm.rpm.client.junit.ClientTestController;
import com.ibm.rpm.client.junit.applicationadministration.fixtures.RPMCalendarFixture;
import com.ibm.rpm.client.junit.helpers.HelperTestUtilities;
import com.ibm.rpm.framework.SingleResult;
import com.ibm.rpm.wbs.containers.Proposal;

/**
 * @author gmeloche
 *  
 */
public class Test47521 extends ClientTestController
{

    public void testAssignRPMCalendarOnlyToProposal() throws Exception
    {
        RPMCalendar calendar = RPMCalendarFixture
        .retrieveStaticFixtureForInserts(this);
        
        
        Proposal proposal = new Proposal();
        proposal.setName(HelperTestUtilities.createName());
        proposal.setCalendar(calendar);
        
        SingleResult result = save(proposal, null);
        
        assertNull(result.getErrors());
        assertNull(result.getWarnings());
    }
}
