package com.ibm.rpm.client.junit.wbs.testcases.xpath;

import java.util.ArrayList;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.client.junit.wbs.fixtures.ResourceTaskAssignmentFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.wbs.containers.ResourceTaskAssignment;
import com.ibm.rpm.wbs.scope.ResourceTaskAssignmentScope;

public class TestResourceTaskAssignmentObjectXPath extends ObjectXPathTester
{
    protected RPMObject createObject() throws Exception
    {
        ResourceTaskAssignmentScope scope = (ResourceTaskAssignmentScope) mainScope;
        ResourceTaskAssignment assignment = ResourceTaskAssignmentFixture
                .createFixture(scope, false, this);
        return assignment;
    }
     
    protected RPMObjectScope createScope() throws Exception
    {
        return ResourceTaskAssignmentFixture.createScope(true, false, false,
                true, true);
    }

    protected void objectCompare(RPMObject expected, RPMObject actual,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        ResourceTaskAssignmentFixture.compare(
                (ResourceTaskAssignment) expected,
                (ResourceTaskAssignment) actual,
                (ResourceTaskAssignmentScope) mainScope);
    }
    
    public ArrayList generateLocalSkipList()
    {
        ArrayList l = new ArrayList();
        l.add("getResourceType");

        return l;
    }
}
