/*
 * Created on 12-Jan-2006
 * @author mmatwiy
 * Xpath tests for container WorkflowRole.
 */
package com.ibm.rpm.client.junit.workflow.testcases.xpath;

import junit.framework.AssertionFailedError;

import com.ibm.rpm.client.junit.framework.testcases.xpath.ObjectXPathTester;
import com.ibm.rpm.client.junit.workflow.fixtures.WorkflowFixture;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.workflow.containers.WorkflowRole;

public class TestWorkflowRoleXpath extends ObjectXPathTester
{
    private static final String ROLE_NAME = "Role1";

    protected RPMObject createObject() throws Exception
    {
        //TODO: replace this load once the API is able to create a WorkflowRole
        RPMObject[] objects = loadFromXpath("/WorkflowRole[name='" + ROLE_NAME
                + "']", null);
        assertNotNull(objects);
        return objects[0];
    }

    protected RPMObjectScope createScope() throws Exception
    {
        return null;
    }

    protected void objectCompare(RPMObject expected, RPMObject actual,
            RPMObjectScope scope) throws AssertionFailedError, Exception
    {
        WorkflowFixture.compare((WorkflowRole) expected, (WorkflowRole) actual);
    }

}