/*
 * Created on Nov 2, 2005
 * @author mmatwiy
 * Validation constants for Client/Cost Centers
 */
package com.ibm.rpm.clientcostcenters.constants;


public class ValidationConstants
{
    public final static String PARENT_FIELD = "parent";
    
    // field names
    public final static String NAME_FIELD = "name";
    public final static String DESCRIPTION_FIELD = "description";
    public final static String ATTRIBUTE_CATEGORIES_FIELD = "attributeCategories";
    public final static String COST_CENTER_STAGES_FIELD = "costCenterStages";
    public final static String CLIENTS_FIELD = "clients";
    public final static String CUSTOM_FIELD_CATEGORIES_FIELD = "customFieldCategories";
    public final static String CLIENT_RTFS_FIELD = "clientRtfs";

    // minimum / maximum values
    public final static int NAME_MIN = 1;
    public final static int NAME_MAX = 50;
    public final static int DESCRIPTION_MAX = 50;
    
    //ClientCostCenter field names
    public final static String CLIENTCOSTCENTER_ATTRIBUTE_ASSIGNMENTS_FIELD = "attributeAssignments";
    public final static String CLIENTCOSTCENTER_CUSTOME_FIELD_ASSIGNMENTS_FIELD = "customFieldAssignments";
    public final static String CLIENTCOSTCENTER_DEFAULT_FLAG_FIELD = "defaultFlag";
    public final static String CLIENTCOSTCENTER_DOCUMENT_FOLDER_FIELD = "documentFolder";
    public final static String CLIENTCOSTCENTER_EXTERNAL_ID_FIELD = "externalID";
    public final static String CLIENTCOSTCENTER_RTF_ASSIGNMENTS_FIELD = "rtfAssignments";
    public final static String CLIENTCOSTCENTER_STATE_FIELD = "state";
    public final static String CLIENTCOSTCENTER_STATUS_UPDATES_FIELD = "statusUpdates";
}
