package com.ibm.rpm.clientcostcenters.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class ClientCostCenter  extends com.ibm.rpm.clientcostcenters.containers.AbstractCostCenter {

			
		public static final int TYPE_ID = 229;
	
		
		
		
	public ClientCostCenter() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private com.ibm.rpm.applicationadministration.containers.AttributeAssignment[] attributeAssignments; 	
	public com.ibm.rpm.applicationadministration.containers.AttributeAssignment[]  getAttributeAssignments() {
		return this.attributeAssignments;
	}
	
	public void setAttributeAssignments(com.ibm.rpm.applicationadministration.containers.AttributeAssignment[] value) {
		this.attributeAssignments = value;
	}
	
			
		
	private com.ibm.rpm.customfield.containers.CustomFieldAssignment[] customFieldAssignments; 	
	public com.ibm.rpm.customfield.containers.CustomFieldAssignment[]  getCustomFieldAssignments() {
		return this.customFieldAssignments;
	}
	
	public void setCustomFieldAssignments(com.ibm.rpm.customfield.containers.CustomFieldAssignment[] value) {
		this.customFieldAssignments = value;
	}
	
			
		
	private java.lang.Boolean defaultFlag; 	
	public java.lang.Boolean  getDefaultFlag() {
		return this.defaultFlag;
	}
	
	public void setDefaultFlag(java.lang.Boolean value) {
		this.defaultFlag = value;
	}
	
			
	public void deltaDefaultFlag(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, defaultFlag))) {
			defaultFlag_is_modified = true;
		}
	}
	
	private boolean defaultFlag_is_modified = false;
	
	public boolean testDefaultFlagModified() {
		return defaultFlag_is_modified;
	}
		
		
	private com.ibm.rpm.document.containers.DocumentFolder documentFolder; 	
	public com.ibm.rpm.document.containers.DocumentFolder  getDocumentFolder() {
		return this.documentFolder;
	}
	
	public void setDocumentFolder(com.ibm.rpm.document.containers.DocumentFolder value) {
		this.documentFolder = value;
	}
	
			
	public void deltaDocumentFolder(com.ibm.rpm.document.containers.DocumentFolder oldValue) {
		if (!(CompareUtil.equals(oldValue, documentFolder))) {
			documentFolder_is_modified = true;
		}
	}
	
	private boolean documentFolder_is_modified = false;
	
	public boolean testDocumentFolderModified() {
		return documentFolder_is_modified;
	}
		
		
	private java.lang.String externalID; 	
	public java.lang.String  getExternalID() {
		return this.externalID;
	}
	
	public void setExternalID(java.lang.String value) {
		this.externalID = value;
	}
	
			
	public void deltaExternalID(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, externalID))) {
			externalID_is_modified = true;
		}
	}
	
	private boolean externalID_is_modified = false;
	
	public boolean testExternalIDModified() {
		return externalID_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.RtfAssignment[] rtfAssignments; 	
	public com.ibm.rpm.applicationadministration.containers.RtfAssignment[]  getRtfAssignments() {
		return this.rtfAssignments;
	}
	
	public void setRtfAssignments(com.ibm.rpm.applicationadministration.containers.RtfAssignment[] value) {
		this.rtfAssignments = value;
	}
	
			
		
	private com.ibm.rpm.applicationadministration.containers.CostCenterState state; 	
	public com.ibm.rpm.applicationadministration.containers.CostCenterState  getState() {
		return this.state;
	}
	
	public void setState(com.ibm.rpm.applicationadministration.containers.CostCenterState value) {
		this.state = value;
	}
	
			
	public void deltaState(com.ibm.rpm.applicationadministration.containers.CostCenterState oldValue) {
		if (!(CompareUtil.equals(oldValue, state))) {
			state_is_modified = true;
		}
	}
	
	private boolean state_is_modified = false;
	
	public boolean testStateModified() {
		return state_is_modified;
	}
		
		
	private com.ibm.rpm.framework.containers.StatusUpdate[] statusUpdates; 	
	public com.ibm.rpm.framework.containers.StatusUpdate[]  getStatusUpdates() {
		return this.statusUpdates;
	}
	
	public void setStatusUpdates(com.ibm.rpm.framework.containers.StatusUpdate[] value) {
		this.statusUpdates = value;
	}
	
			
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                                                        
        defaultFlag_is_modified = false;      
                                
        documentFolder_is_modified = false;      
                                
        externalID_is_modified = false;      
                                                
        state_is_modified = false;      
                                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	     	     	     	     	
     	if (defaultFlag != null) {
     		defaultFlag_is_modified = true;
     	}
     	     	     	     	
     	if (documentFolder != null) {
     		documentFolder_is_modified = true;
     	}
     	     	     	     	
     	if (externalID != null) {
     		externalID_is_modified = true;
     	}
     	     	     	     	     	     	
     	if (state != null) {
     		state_is_modified = true;
     	}
     	     	     	     	     	
     }
     
     
}