package com.ibm.rpm.contract.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class Contract  extends com.ibm.rpm.contract.containers.GenericContract {

			
		public static final int TYPE_ID = 158;
	
		
		
		
	public Contract() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private com.ibm.rpm.contract.containers.ContractChargeSchedule[] chargeSchedules; 	
	public com.ibm.rpm.contract.containers.ContractChargeSchedule[]  getChargeSchedules() {
		return this.chargeSchedules;
	}
	
	public void setChargeSchedules(com.ibm.rpm.contract.containers.ContractChargeSchedule[] value) {
		this.chargeSchedules = value;
	}
	
			
		
	private com.ibm.rpm.applicationadministration.containers.ContractType contractType; 	
	public com.ibm.rpm.applicationadministration.containers.ContractType  getContractType() {
		return this.contractType;
	}
	
	public void setContractType(com.ibm.rpm.applicationadministration.containers.ContractType value) {
		this.contractType = value;
	}
	
			
	public void deltaContractType(com.ibm.rpm.applicationadministration.containers.ContractType oldValue) {
		if (!(CompareUtil.equals(oldValue, contractType))) {
			contractType_is_modified = true;
		}
	}
	
	private boolean contractType_is_modified = false;
	
	public boolean testContractTypeModified() {
		return contractType_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.Currency currency; 	
	public com.ibm.rpm.applicationadministration.containers.Currency  getCurrency() {
		return this.currency;
	}
	
	public void setCurrency(com.ibm.rpm.applicationadministration.containers.Currency value) {
		this.currency = value;
	}
	
			
	public void deltaCurrency(com.ibm.rpm.applicationadministration.containers.Currency oldValue) {
		if (!(CompareUtil.equals(oldValue, currency))) {
			currency_is_modified = true;
		}
	}
	
	private boolean currency_is_modified = false;
	
	public boolean testCurrencyModified() {
		return currency_is_modified;
	}
		
		
	private java.lang.String description; 	
	public java.lang.String  getDescription() {
		return this.description;
	}
	
	public void setDescription(java.lang.String value) {
		this.description = value;
	}
	
			
	public void deltaDescription(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, description))) {
			description_is_modified = true;
		}
	}
	
	private boolean description_is_modified = false;
	
	public boolean testDescriptionModified() {
		return description_is_modified;
	}
		
		
	private java.lang.String externalReference; 	
	public java.lang.String  getExternalReference() {
		return this.externalReference;
	}
	
	public void setExternalReference(java.lang.String value) {
		this.externalReference = value;
	}
	
			
	public void deltaExternalReference(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, externalReference))) {
			externalReference_is_modified = true;
		}
	}
	
	private boolean externalReference_is_modified = false;
	
	public boolean testExternalReferenceModified() {
		return externalReference_is_modified;
	}
		
		
	private java.lang.Double maximumAmount; 	
	public java.lang.Double  getMaximumAmount() {
		return this.maximumAmount;
	}
	
	public void setMaximumAmount(java.lang.Double value) {
		this.maximumAmount = value;
	}
	
			
	public void deltaMaximumAmount(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, maximumAmount))) {
			maximumAmount_is_modified = true;
		}
	}
	
	private boolean maximumAmount_is_modified = false;
	
	public boolean testMaximumAmountModified() {
		return maximumAmount_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                                        
        contractType_is_modified = false;      
                                
        currency_is_modified = false;      
                                
        description_is_modified = false;      
                                
        externalReference_is_modified = false;      
                                
        maximumAmount_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	     	     	
     	if (contractType != null) {
     		contractType_is_modified = true;
     	}
     	     	     	     	
     	if (currency != null) {
     		currency_is_modified = true;
     	}
     	     	     	     	
     	if (description != null) {
     		description_is_modified = true;
     	}
     	     	     	     	
     	if (externalReference != null) {
     		externalReference_is_modified = true;
     	}
     	     	     	     	
     	if (maximumAmount != null) {
     		maximumAmount_is_modified = true;
     	}
     	     	     	
     }
     
     
}