package com.ibm.rpm.expense.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class ExpenseItem  extends com.ibm.rpm.framework.RPMObject {

			
		public static final int TYPE_ID = 108;
	
		
		
		
	public ExpenseItem() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.Boolean billable; 	
	public java.lang.Boolean  getBillable() {
		return this.billable;
	}
	
	public void setBillable(java.lang.Boolean value) {
		this.billable = value;
	}
	
			
	public void deltaBillable(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, billable))) {
			billable_is_modified = true;
		}
	}
	
	private boolean billable_is_modified = false;
	
	public boolean testBillableModified() {
		return billable_is_modified;
	}
		
		
	private com.ibm.rpm.financial.containers.ChargeCode chargeCode; 	
	public com.ibm.rpm.financial.containers.ChargeCode  getChargeCode() {
		return this.chargeCode;
	}
	
	public void setChargeCode(com.ibm.rpm.financial.containers.ChargeCode value) {
		this.chargeCode = value;
	}
	
			
	public void deltaChargeCode(com.ibm.rpm.financial.containers.ChargeCode oldValue) {
		if (!(CompareUtil.equals(oldValue, chargeCode))) {
			chargeCode_is_modified = true;
		}
	}
	
	private boolean chargeCode_is_modified = false;
	
	public boolean testChargeCodeModified() {
		return chargeCode_is_modified;
	}
		
		
	private java.lang.String note; 	
	public java.lang.String  getNote() {
		return this.note;
	}
	
	public void setNote(java.lang.String value) {
		this.note = value;
	}
	
			
	public void deltaNote(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, note))) {
			note_is_modified = true;
		}
	}
	
	private boolean note_is_modified = false;
	
	public boolean testNoteModified() {
		return note_is_modified;
	}
		
		
	private java.lang.Integer quantity; 	
	public java.lang.Integer  getQuantity() {
		return this.quantity;
	}
	
	public void setQuantity(java.lang.Integer value) {
		this.quantity = value;
	}
	
			
	public void deltaQuantity(java.lang.Integer oldValue) {
		if (!(CompareUtil.equals(oldValue, quantity))) {
			quantity_is_modified = true;
		}
	}
	
	private boolean quantity_is_modified = false;
	
	public boolean testQuantityModified() {
		return quantity_is_modified;
	}
		
		
	private java.lang.Boolean reimburse; 	
	public java.lang.Boolean  getReimburse() {
		return this.reimburse;
	}
	
	public void setReimburse(java.lang.Boolean value) {
		this.reimburse = value;
	}
	
			
	public void deltaReimburse(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, reimburse))) {
			reimburse_is_modified = true;
		}
	}
	
	private boolean reimburse_is_modified = false;
	
	public boolean testReimburseModified() {
		return reimburse_is_modified;
	}
		
		
	private java.lang.Double subTotal; 	
	public java.lang.Double  getSubTotal() {
		return this.subTotal;
	}
	
	public void setSubTotal(java.lang.Double value) {
		this.subTotal = value;
	}
	
			
	public void deltaSubTotal(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, subTotal))) {
			subTotal_is_modified = true;
		}
	}
	
	private boolean subTotal_is_modified = false;
	
	public boolean testSubTotalModified() {
		return subTotal_is_modified;
	}
		
		
	private java.lang.Double tax1; 	
	public java.lang.Double  getTax1() {
		return this.tax1;
	}
	
	public void setTax1(java.lang.Double value) {
		this.tax1 = value;
	}
	
			
	public void deltaTax1(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, tax1))) {
			tax1_is_modified = true;
		}
	}
	
	private boolean tax1_is_modified = false;
	
	public boolean testTax1Modified() {
		return tax1_is_modified;
	}
		
		
	private java.lang.Double tax2; 	
	public java.lang.Double  getTax2() {
		return this.tax2;
	}
	
	public void setTax2(java.lang.Double value) {
		this.tax2 = value;
	}
	
			
	public void deltaTax2(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, tax2))) {
			tax2_is_modified = true;
		}
	}
	
	private boolean tax2_is_modified = false;
	
	public boolean testTax2Modified() {
		return tax2_is_modified;
	}
		
		
	private java.lang.Double unitPrice; 	
	public java.lang.Double  getUnitPrice() {
		return this.unitPrice;
	}
	
	public void setUnitPrice(java.lang.Double value) {
		this.unitPrice = value;
	}
	
			
	public void deltaUnitPrice(java.lang.Double oldValue) {
		if (!(CompareUtil.equals(oldValue, unitPrice))) {
			unitPrice_is_modified = true;
		}
	}
	
	private boolean unitPrice_is_modified = false;
	
	public boolean testUnitPriceModified() {
		return unitPrice_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        billable_is_modified = false;      
                                
        chargeCode_is_modified = false;      
                                
        note_is_modified = false;      
                                
        quantity_is_modified = false;      
                                
        reimburse_is_modified = false;      
                                
        subTotal_is_modified = false;      
                                
        tax1_is_modified = false;      
                                
        tax2_is_modified = false;      
                                
        unitPrice_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (billable != null) {
     		billable_is_modified = true;
     	}
     	     	     	     	
     	if (chargeCode != null) {
     		chargeCode_is_modified = true;
     	}
     	     	     	     	
     	if (note != null) {
     		note_is_modified = true;
     	}
     	     	     	     	
     	if (quantity != null) {
     		quantity_is_modified = true;
     	}
     	     	     	     	
     	if (reimburse != null) {
     		reimburse_is_modified = true;
     	}
     	     	     	     	
     	if (subTotal != null) {
     		subTotal_is_modified = true;
     	}
     	     	     	     	
     	if (tax1 != null) {
     		tax1_is_modified = true;
     	}
     	     	     	     	
     	if (tax2 != null) {
     		tax2_is_modified = true;
     	}
     	     	     	     	
     	if (unitPrice != null) {
     		unitPrice_is_modified = true;
     	}
     	     	     	
     }
     
     
}