package com.ibm.rpm.financial.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class ChargeCode  extends com.ibm.rpm.financial.containers.GenericChargeCode {

			
		public static final int TYPE_ID = 8;
	
		
		
		
	public ChargeCode() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private com.ibm.rpm.financial.containers.ChargeCode associatedChargeCode; 	
	public com.ibm.rpm.financial.containers.ChargeCode  getAssociatedChargeCode() {
		return this.associatedChargeCode;
	}
	
	public void setAssociatedChargeCode(com.ibm.rpm.financial.containers.ChargeCode value) {
		this.associatedChargeCode = value;
	}
	
			
	public void deltaAssociatedChargeCode(com.ibm.rpm.financial.containers.ChargeCode oldValue) {
		if (!(CompareUtil.equals(oldValue, associatedChargeCode))) {
			associatedChargeCode_is_modified = true;
		}
	}
	
	private boolean associatedChargeCode_is_modified = false;
	
	public boolean testAssociatedChargeCodeModified() {
		return associatedChargeCode_is_modified;
	}
		
		
	private java.lang.Boolean billable; 	
	public java.lang.Boolean  getBillable() {
		return this.billable;
	}
	
	public void setBillable(java.lang.Boolean value) {
		this.billable = value;
	}
	
			
	public void deltaBillable(java.lang.Boolean oldValue) {
		if (!(CompareUtil.equals(oldValue, billable))) {
			billable_is_modified = true;
		}
	}
	
	private boolean billable_is_modified = false;
	
	public boolean testBillableModified() {
		return billable_is_modified;
	}
		
		
	private com.ibm.rpm.financial.types.FinancialCategory financialCategory; 	
	public com.ibm.rpm.financial.types.FinancialCategory  getFinancialCategory() {
		return this.financialCategory;
	}
	
	public void setFinancialCategory(com.ibm.rpm.financial.types.FinancialCategory value) {
		this.financialCategory = value;
	}
	
			
	public void deltaFinancialCategory(com.ibm.rpm.financial.types.FinancialCategory oldValue) {
		if (!(CompareUtil.equals(oldValue, financialCategory))) {
			financialCategory_is_modified = true;
		}
	}
	
	private boolean financialCategory_is_modified = false;
	
	public boolean testFinancialCategoryModified() {
		return financialCategory_is_modified;
	}
		
		
	private com.ibm.rpm.applicationadministration.containers.ChargeCodeState state; 	
	public com.ibm.rpm.applicationadministration.containers.ChargeCodeState  getState() {
		return this.state;
	}
	
	public void setState(com.ibm.rpm.applicationadministration.containers.ChargeCodeState value) {
		this.state = value;
	}
	
			
	public void deltaState(com.ibm.rpm.applicationadministration.containers.ChargeCodeState oldValue) {
		if (!(CompareUtil.equals(oldValue, state))) {
			state_is_modified = true;
		}
	}
	
	private boolean state_is_modified = false;
	
	public boolean testStateModified() {
		return state_is_modified;
	}
		
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        associatedChargeCode_is_modified = false;      
                                
        billable_is_modified = false;      
                                
        financialCategory_is_modified = false;      
                                
        state_is_modified = false;      
                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (associatedChargeCode != null) {
     		associatedChargeCode_is_modified = true;
     	}
     	     	     	     	
     	if (billable != null) {
     		billable_is_modified = true;
     	}
     	     	     	     	
     	if (financialCategory != null) {
     		financialCategory_is_modified = true;
     	}
     	     	     	     	
     	if (state != null) {
     		state_is_modified = true;
     	}
     	     	     	
     }
     
     
}