package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;
import com.ibm.rpm.security.containers.AbstractSecurityGroup;

class ResourceBasedAbstractSecurityGroupSecurityController extends
        ResourceBasedContainerSecurityController
{
    public Class getContainerClass()
    {
        return AbstractSecurityGroup.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        FieldMappingEntry fieldInfo = null;
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourcePassword",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateDeleteAssetsAndFolders",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceAttributeAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAccessAssetManagement",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceCompetencySkills",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateProjectsFromDefault",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceRates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalNickName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditLocationPoolDomains",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewCommunications",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDeleteResources",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateFromWBSTemplate",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateScopeTemplateFolders",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canUseWebServicesAPI",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDeleteTemplates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditLocationOrganizations",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalBackground",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canPublishLocalWBSTemplates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditClientCostCenterDivisionFolderNames", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalRates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceDocuments",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceRates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceCompetencySkills",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalScorecardPivot",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalAddress",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceSettings",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDeleteProjects",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewDocuments",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceSettings",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceCalendar",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canPublishToMethodWBSTemplates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceNickName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPortfolioDashboard",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalRates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAccessPjC", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceFullName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditLocationGroups",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalCompetencySkills",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceInformation",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPoolNames",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditFinancialAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewWorkManagement",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalCalendar",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalCalendar",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDeleteResourcePools",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPivotsReports",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalInformation",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalExecutiveAttributes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourceEffectiveDiscontinueActiveDates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditTimeCodes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewFullProjectWBS",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateDocumentTemplateFolders",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCustomizeLayouts",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewPersonalOrganizationGroupGeographical", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canUpdateScorecardAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewPersonalRecordCustomFieldsGroups", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourcePublishedWorkPackages", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAccessPersonalProject",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceNickName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAdministerFinancialSystem",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditPersonalRecordCustomFieldsGroups", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditCalendarAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalBackground",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceAddress",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceExecutiveAttributes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditExternalActionAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewDocumentTemplates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditContractsAndFolderNames",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalDocuments",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditWorkflowAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewScopeManagement",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditDefaultResourceSecurity",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalSettings",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewPersonalPublishedWorkPackages", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalInformation",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAdoptWhatIfAnalysis",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceDocuments",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceAddress",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditPersonalCompetencyCostsRates", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceExecutiveAttributes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceBackground",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditCustomFieldsAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canAccessWorkflowDesignAdministration", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourceExecutiveAccessLevel", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditResourceAssignedOrganization", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceLogon",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditResourceOrganizationGroupGeographical", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourceAssignedOrganization", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditResourceExecutiveAccessLevel", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalSettings",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateEmptyProjects",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditCurrencyExchangeRates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditPersonalOrganizationGroupGeographical", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewOtherResourcesRecordCustomFieldsGroups",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditDatafieldAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditPersonalEffectiveDiscontinueActiveDates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceSecurity",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canDeleteClientCostCenterDivisionFolders", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateResources",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAccessWorkflowDesign",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateResourcePools",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceSecurity",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditGeneralAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalDocuments",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditLocationGeographies",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canCreateClientCostCenterDivisionFolders", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceUserNameEmail",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalUserNameEmail",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceScorecardPivot",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourceOrganizationGroupGeographical", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canConvertProjectToOrganization",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canDeleteAssetsAndFoldersFromOthers", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditPersonalPassword",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditScorecardAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceInformation",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewArchivedProject",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalSecurity",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalCompetencySkills",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewResourceCompetencyCostsRates", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditAttributeAdmin",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewExpenses",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewWhatIfAnalysis",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canSetOrDeleteMandatoryTask",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDesignReport",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateContractsAndFolders",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewScopeTemplates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditResourceName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canModifyAlertMessages",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditResourceCompetencyCostsRates", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditExternalIdentifier",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canDeleteContractsAndFolders",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceBackground",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewPersonalEffectiveDiscontinueActiveDates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewTimesheets",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canViewPersonalCompetencyCostsRates", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canAccessAssetPortfolioDashboard",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalNickName",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditAccountCodes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canCreateProjectsFromWBSTemplate",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewPersonalExecutiveAttributes",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canEditWBSSecurity",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("canViewResourceRecords",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditResourceEffectiveDiscontinueActiveDates",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry(
            "canEditOtherResourcesRecordCustomFieldsGroups",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }
}
