package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.applicationadministration.containers.DatafieldState;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class ResourceBasedDatafieldStateSecurityController extends
        ResourceBasedValueDatafieldSecurityController
{

    public Class getContainerClass()
    {
        return DatafieldState.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("closedState", getContainerClass());
        fieldInfo.canWriteSecurityFlags = writeSecurityFlags;
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
