package com.ibm.rpm.framework.security.controller.impl.resource;

import java.util.Map;

import com.ibm.rpm.document.containers.UrlDocument;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class ResourceBasedUrlDocumentSecurityController extends
        ResourceBasedAbstractDocumentSecurityController
{

    public Class getContainerClass()
    {
        return UrlDocument.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new ResourceBasedDocumentElementMappingEntry("url",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new ResourceBasedDocumentElementMappingEntry("processLink",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new ResourceBasedDocumentElementMappingEntry("RUPLink",
            getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
