package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Map;

import com.ibm.rpm.applicationadministration.containers.DatafieldCategory;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class RoleBasedDatafieldCategorySecurityController extends
        RoleBasedGenericDatafieldSecurityController
{

    public Class getContainerClass()
    {
        return DatafieldCategory.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        super.generateFieldMappingEntries(mappingEntryMap);
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("children", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }
    
}
