package com.ibm.rpm.framework.security.controller.impl.role;

import java.util.Map;

import com.ibm.rpm.clientcostcenters.containers.GenericClient;
import com.ibm.rpm.framework.security.controller.impl.FieldMappingEntry;

class RoleBasedGenericClientSecurityController extends
        RoleBasedContainerSecurityController
{

    public Class getContainerClass()
    {
        return GenericClient.class;
    }

    protected void generateFieldMappingEntries(Map mappingEntryMap)
    {
        FieldMappingEntry fieldInfo = null;

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("name", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);

        // --------------------------------------------------------
        fieldInfo = new FieldMappingEntry("description", getContainerClass());
        mappingEntryMap.put(fieldInfo.name, fieldInfo);
    }

}
