package com.ibm.rpm.interfaces;

import com.ibm.rpm.framework.RPMException;

public interface Authentication
{
    public String login(String username, String password, String dsn)
    	throws RPMException;

    public void assignWorkflowToSession(String sessionId, String workflowId)
		throws RPMException;

    public void logout(String sessionID) throws RPMException;

    public void changePassword(String username, String oldPw, String newPw, String dsn)
    	throws RPMException;
}
