/*
 * Created on 2-Jun-2006
 * @author mmatwiy
 * Checkpoint validation for container ScopeWorkProduct.
 */
package com.ibm.rpm.scopemanagement.checkpoints;

import com.ibm.rpm.framework.AbstractCheckpoint;
import com.ibm.rpm.framework.MessageContext;
import com.ibm.rpm.framework.RPMObject;
import com.ibm.rpm.framework.RPMObjectScope;
import com.ibm.rpm.framework.util.GenericValidator;

public class ScopeWorkProductCheckpoint extends AbstractCheckpoint
{
    public void validateSave(RPMObject rpmObject, RPMObjectScope rpmScope,
            MessageContext msgCtx)
    {
        // It is not valid to create or update a ScopeWorkProduct container.
        // This container is created and loaded by calling the transferUnderScope
        // application method with a WorkProduct.
        GenericValidator.validateCannotCreateOrUpdate(rpmObject, msgCtx);
    }
}
