package com.ibm.rpm.security.containers;

import com.ibm.rpm.framework.util.CompareUtil;

public  class SecurityGroup  extends com.ibm.rpm.security.containers.AbstractSecurityGroup {

			
		public static final int TYPE_ID = 307;
	
		
		
		
	public SecurityGroup() {
		assignTypeID(new Integer(TYPE_ID));
	}
	
		
			
	private java.lang.String description; 	
	public java.lang.String  getDescription() {
		return this.description;
	}
	
	public void setDescription(java.lang.String value) {
		this.description = value;
	}
	
			
	public void deltaDescription(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, description))) {
			description_is_modified = true;
		}
	}
	
	private boolean description_is_modified = false;
	
	public boolean testDescriptionModified() {
		return description_is_modified;
	}
		
		
	private java.lang.String name; 	
	public java.lang.String  getName() {
		return this.name;
	}
	
	public void setName(java.lang.String value) {
		this.name = value;
	}
	
			
	public void deltaName(java.lang.String oldValue) {
		if (!(CompareUtil.equals(oldValue, name))) {
			name_is_modified = true;
		}
	}
	
	private boolean name_is_modified = false;
	
	public boolean testNameModified() {
		return name_is_modified;
	}
		
		
	private com.ibm.rpm.security.containers.SecurityGroup[] securityGroups; 	
	public com.ibm.rpm.security.containers.SecurityGroup[]  getSecurityGroups() {
		return this.securityGroups;
	}
	
	public void setSecurityGroups(com.ibm.rpm.security.containers.SecurityGroup[] value) {
		this.securityGroups = value;
	}
	
			
		
			
	public void resetIsModified() {
		super.resetIsModified();		
                        
        description_is_modified = false;      
                                
        name_is_modified = false;      
                                        
     }
     
     public void setModified() {
     	super.setModified();
     	     	     	
     	if (description != null) {
     		description_is_modified = true;
     	}
     	     	     	     	
     	if (name != null) {
     		name_is_modified = true;
     	}
     	     	     	     	     	
     }
     
     
}