/**
 * Created on Feb 15, 2006
 * @author shahla
 */
package com.ibm.rpm.workflow.constants;


public class ValidationConstants
{
    // field names
    public final static String PARENT_FIELD = "parent";
    public final static String NAME_FIELD = "name";
    public final static String PATH_FIELD = "path";
    public final static String ACTIVE_FIELD = "active";
    public final static String STATE_FIELD = "state";
    public final static String WORKFLOW_GROUP_ID_FIELD = "workflowGroupID";
    public final static String PROJECT_ID_FIELD = "projectID";
    public final static String WORKFLOW_ROLE_FIELD = "workflowRole";
    public final static String SECURITY_ROLE_FIELD = "securityRole";
    public final static String CONTACT_GROUP_FIELD = "contactGroup";
    public final static String RESOURCE_FIELD = "resource";
    
    // process function names
    public final static String PROCESS_START = "start";
    public final static String PROCESS_CANCEL = "cancel";
    public final static String PROCESS_SUSPEND = "suspend";
    public final static String PROCESS_RESUME = "resume";
    public final static String PROCESS_ASSOCIATE = "associate";
    
    public static final int EXTERNAL_ACTION_NAME_MAX = 255;
    public static final int EXTERNAL_ACTION_NAME_MIN = 1;
    public static final int EXTERNAL_ACTION_PATH_MAX = 1000;
    public static final int EXTERNAL_ACTION_PATH_MIN = 0;
}
